!
! SocketTools Library Edition
! Version 3.1
!
! Copyright 1995-1999, Catalyst Development Corporation
! All rights reserved
!
! This module contains the confidential and proprietary information
! of Catalyst Development Corporation and may not be redistributed.
!
! This product is licensed to you pursuant to the terms of the
! Catalyst license agreement included with the original software,
! and is protected by copyright law and international treaties.
! Unauthorized reproduction or distribution may result in severe
! criminal penalties.
!


!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * audio libraries CSAUDL16.DLL and CSAUDL32.DLL
! *
! *************************************************************************/

SECTION('AUDIO LIBRARY')

 MODULE('CSAUDL')

 COMPILE('**END**',_WIDTH32_)
  SetLastAudioError(LONG liErrorCode),LONG,PASCAL
  GetLastAudioError(),LONG,PASCAL
  CancelAudioPlayback(),LONG,PASCAL
  GetAudioErrorString(LONG liErrorCode,*CSTRING strErrorMsg,LONG liMaxErrorMsgSize),LONG, |
  PASCAL,RAW,NAME('GetAudioErrorStringA')
  GetAudioFileFormat(*CSTRING strAudioFile),LONG,PASCAL,RAW,NAME('GetAudioFileFormatA')
  ConvertAudioFile(*CSTRING strInputFile,LONG liInputFormat,*CSTRING strOutputFile, |
  LONG liOutputFormat),LONG,PASCAL,RAW,NAME('ConvertAudioFileA')
  PlayAudioFile(*CSTRING strAudioFile),LONG,PASCAL,RAW,NAME('PlayAudioFileA')
 **END**
 OMIT('**END**',_WIDTH32_)
  SetLastAudioError(SHORT iErrorCode),SHORT,PASCAL
  GetLastAudioError(),SHORT,PASCAL
  CancelAudioPlayback(),SHORT,PASCAL
  GetAudioErrorString(SHORT iErrorCode,*CSTRING strErrorMsg,SHORT iMaxErrorMsgSize),SHORT, |
  PASCAL,RAW
  GetAudioFileFormat(*CSTRING strAudioFile),SHORT,PASCAL,RAW
  ConvertAudioFile(*CSTRING strInputFile,LONG liInputFormat,*CSTRING strOutputFile, |
  LONG liOutputFormat),SHORT,PASCAL,RAW
  PlayAudioFile(*CSTRING strAudioFile),SHORT,PASCAL,RAW
 **END**

 END !MODULE

!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * Domain Name Service (DNS) client libraries CSDNSL16.DLL and
! * CSDNSL32.DLL
! *
! ************************************************************************/

SECTION('DNS')

 MODULE('CSDNSL')

 COMPILE('**END**',_WIDTH32_)

  DnsSetLastError(LONG liErrorCode),PASCAL
  DnsGetLastError(),LONG,PASCAL
  DnsDisconnect(LONG hClient),LONG
  DnsGetSocket(LONG hClient),LONG,PASCAL
  DnsUnregisterServer(LONG hClient,LONG liNameSvrIndex),LONG,PASCAL
  DnsGetServerAddress(LONG hClient,LONG liNameSvrIndex),LONG,PASCAL
  DnsGetServerPort(LONG hClient,LONG liNameSvrIndex),LONG,PASCAL
  DnsReset(LONG hClient),LONG,PASCAL
  DnsCancel(LONG hClient),LONG,PASCAL
  DnsSetTimeout(LONG hClient,LONG liTimeout),LONG,PASCAL
  DnsGetTimeout(LONG hClient),LONG,PASCAL
  DnsGetResolverAddress(LONG hClient),LONG,PASCAL
  DnsSetRetryCount(LONG hClient,LONG liRetries),LONG,PASCAL
  DnsGetRetryCount(LONG hClient),LONG,PASCAL
  DnsUninitialize(),PASCAL,PROC
  DnsInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW,NAME('DnsInitializeA')
  DnsGetErrorString(LONG liErrorCode,*CSTRING strErrorMsg,LONG liMaxErrorMsgSize),LONG, |
  PASCAL,RAW,NAME('DnsGetErrorStringA')
  DnsConnect(*CSTRING strHostAddress,LONG liPort,LONG liTimeout,LONG liRetries),LONG,PASCAL,RAW,NAME('DnsConnectA')
  DnsRegisterServer(LONG hClient,LONG liNameSvrIndex,*CSTRING strHostAddress,LONG liPort),LONG,|
  PASCAL,RAW,NAME('DnsRegisterServerA')
  DnsSetLocalDomain(LONG hClient,*CSTRING strDomainName),LONG,PASCAL,RAW,NAME('DnsSetLocalDomainA')
  DnsGetLocalDomain(LONG hClient,*CSTRING strDomainName,LONG liMaxDomainSize),SHORT,|
  PASCAL,RAW,PROC,NAME('DnsGetLocalDomainA')
  DnsGetHostName(LONG hClient,*CSTRING strHostAddress,*CSTRING strHostName,LONG cbHostName),LONG,|
  PASCAL,RAW,NAME('DnsGetHostNameA')
  DnsGetHostAddress(LONG hClient,*CSTRING strHostName,*CSTRING strHostAddress,LONG cbHostAddress),LONG, |
  PASCAL,RAW,NAME('DnsGetHostAddressA')
  DnsGetHostInfo(LONG hClient,*CSTRING strHostAddress,*CSTRING strBuffer,LONG liMaxBufferSize),LONG, |
  PASCAL,RAW,NAME('DnsGetHostInfoA')
  DnsGetHostServices(LONG hClient,*CSTRING strHostAddress,LONG liProtocol,*CSTRING strBuffer,LONG liMaxBufferSize), |
  LONG,PASCAL,RAW, NAME('DnsGetHostServicesA')
  DnsGetMailExchange(LONG hClient,*CSTRING strHostAddress,*LONG liPreferences,*CSTRING strBuffer, |
  LONG liMaxBufferSize),LONG,PASCAL,RAW,NAME('DnsGetMailExchangeA')
  DnsGetRecord(LONG hClient,*CSTRING strHostAddress,LONG liRecordType,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,|
  PASCAL,RAW,NAME('DnsGetRecordA')

 **END**
 OMIT('**END**',_WIDTH32_)

  DnsSetLastError(SHORT iErrorCode),PASCAL
  DnsGetLastError(),SHORT,PASCAL
  DnsDisconnect(SHORT hClient),SHORT,PASCAL
  DnsGetSocket(SHORT hClient),SHORT,PASCAL
  DnsUnregisterServer(SHORT hClient,SHORT iNameSvrIndex),SHORT,PASCAL
  DnsGetServerAddress(SHORT hClient,SHORT iNameSvrIndex),SHORT,PASCAL
  DnsGetServerPort(SHORT hClient,SHORT iNameSvrIndex),SHORT,PASCAL
  DnsReset(SHORT hClient),SHORT,PASCAL
  DnsCancel(SHORT hClient),SHORT,PASCAL
  DnsSetTimeout(SHORT hClient,SHORT iTimeout),SHORT,PASCAL
  DnsGetTimeout(SHORT hClient),SHORT,PASCAL
  DnsGetResolverAddress(SHORT hClient),LONG
  DnsSetRetryCount(SHORT hClient,SHORT iRetries),SHORT,PASCAL
  DnsGetRetryCount(SHORT hClient),SHORT,PASCAL
  DnsUninitialize(),PROC,PASCAL
  DnsInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW
  DnsGetErrorString(SHORT iErrorCode,*CSTRING strErrorMsg,SHORT iMaxErrorMsgSize),SHORT,PASCAL,RAW
  DnsConnect(*CSTRING strHostAddress,SHORT iPort,SHORT iTimeout,SHORT iRetries),SHORT,PASCAL,RAW
  DnsRegisterServer(SHORT hClient,SHORT iNameSvrIndex,*CSTRING strHostAddress,SHORT iPort),SHORT,PASCAL,RAW
  DnsSetLocalDomain(SHORT hClient,*CSTRING strDomainName),SHORT,PASCAL,RAW
  DnsGetLocalDomain(SHORT hClient,*CSTRING strDomainName,SHORT iMaxDomainSize),SHORT,PASCAL,RAW
  DnsGetHostName(SHORT hClient,*CSTRING strHostAddress,*CSTRING strHostName,SHORT cbHostName),SHORT,PASCAL,RAW
  DnsGetHostAddress(SHORT hClient,*CSTRING strHostName,*CSTRING strHostAddress,SHORT cbHostAddress),SHORT,PASCAL,RAW
  DnsGetHostInfo(SHORT hClient,*CSTRING strHostAddress,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  DnsGetHostServices(SHORT hClient,*CSTRING strHostAddress,SHORT iProtocol,*CSTRING strBuffer,|
  SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  DnsGetMailExchange(SHORT hClient,*CSTRING strHostAddress,*LONG iPreferences,*CSTRING strBuffer,|
  SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  DnsGetRecord(SHORT hClient,*CSTRING strHostAddress,SHORT iRecordType,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW

 **END**
 END !MODULE

!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * Finger client libraries CSFGRL16.DLL and CSFGRL32.DLL
! *
! ************************************************************************/

SECTION('FINGER')

 MODULE('CSFGRL')

 COMPILE('**END**',_WIDTH32_)

  FingerDisconnect(LONG hClient),LONG,PASCAL,RAW
  FingerAsyncNotify(LONG hClient,LONG hWnd,LONG liMessageId),LONG,PASCAL,RAW
  FingerRead(LONG hClient,*CSTRING strBuffer,LONG liBufferSize),LONG,PASCAL,RAW
  FingerCancel(LONG hClient),LONG,PASCAL,RAW
  FingerGetTimeout(LONG hClient),LONG,PASCAL,RAW
  FingerSetTimeout(LONG hClient,LONG liTimeout),LONG,PASCAL,RAW
  FingerIsBlocking(LONG hClient),SHORT,PASCAL
  FingerSetLastError(LONG liErrorCode),PASCAL
  FingerGetLastError(),LONG,PASCAL,RAW
  FingerGetSocket(LONG hClient),LONG,PASCAL,RAW
  FingerEnableEvents(LONG hClient,LONG hWnd,LONG liMessageId),LONG,PASCAL,RAW
  FingerDisableEvents(LONG hClient),LONG,PASCAL,RAW
  FingerUninitialize(),PASCAL
  FingerInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW,NAME('FingerInitializeA')
  FingerAsyncConnect(*CSTRING strHostAddress,LONG liPort,LONG liTimeout,LONG hWnd,LONG liMessageId),LONG,|
  PASCAL,RAW,NAME('FingerAsyncConnectA')
  FingerConnect(*CSTRING strHostAddress,LONG liPort,LONG liTimeout),LONG,PASCAL,RAW,NAME('FingerConnectA')
  FingerUser(LONG hClient,*CSTRING strUserName),PASCAL,RAW,NAME('FingerUserA')
  FingerGetErrorString(LONG liErrorCode,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW,NAME('FingerGetErrorStringA')

 **END**
 OMIT('**END**',_WIDTH32_)

  FingerDisconnect(SHORT hClient),SHORT,PASCAL
  FingerAsyncNotify(SHORT hClient,SHORT hWnd,SHORT iMessageId),SHORT,PASCAL
  FingerRead(SHORT hClient,*CSTRING strBuffer,SHORT iBufferSize),SHORT,PASCAL,RAW
  FingerCancel(SHORT hClient),SHORT,PASCAL
  FingerGetTimeout(SHORT hClient),SHORT,PASCAL
  FingerSetTimeout(SHORT hClient,SHORT iTimeout),SHORT,PASCAL
  FingerIsBlocking(SHORT hClient),SHORT
  FingerSetLastError(SHORT iErrorCode),PASCAL
  FingerGetLastError(),SHORT,PASCAL
  FingerGetSocket(SHORT hClient),SHORT,PASCAL
  FingerEnableEvents(SHORT hClient,SHORT hWnd,SHORT liMessageId),SHORT,PASCAL
  FingerDisableEvents(SHORT hClient),SHORT,PASCAL
  FingerUninitialize(),PASCAL
  FingerInitialize(*CSTRING strLicenseKey,SHORT dwReserved),SHORT,PASCAL,RAW
  FingerAsyncConnect(*CSTRING strHostAddress,LONG liPort,LONG liTimeout,SHORT hWnd,LONG liMessageId),SHORT,PASCAL,RAW
  FingerConnect(*CSTRING strHostAddress,LONG liPort,LONG liTimeout),SHORT,PASCAL,RAW
  FingerUser(SHORT hClient,*CSTRING strUserName),SHORT,PASCAL,RAW
  FingerGetErrorString(SHORT iErrorCode,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW

 **END**
 END !MODULE

!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * File Transfer Protocol (FTP) client libraries CSFTPL16.DLL
! * and CSFTPL32.DLL
! *
! ************************************************************************/


SECTION('FTP')

 MODULE('CSFTPL')

 COMPILE('**END**',_WIDTH32_)

  FtpSetLastError(LONG liErrorCode),PASCAL
  FtpGetLastError (),LONG,PASCAL,RAW
  FtpDisconnect (LONG hClient),LONG,PASCAL,RAW
  FtpGetSocket (LONG hClient),LONG,PASCAL,RAW
  FtpCloseFile (LONG hClient),LONG,PASCAL,RAW
  FtpCloseDirectory (LONG hClient),LONG,PASCAL,RAW
  FtpEndOfFile (LONG hClient),LONG,PASCAL,RAW
  FtpRead (LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW
  FtpWrite (LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW
  FtpGetResultCode (LONG hClient),LONG,PASCAL,RAW
  FtpAsyncNotify (LONG hClient,LONG hWnd,LONG liMessageId),LONG,PASCAL,RAW
  FtpReset (LONG hClient),LONG,PASCAL,RAW
  FtpCancel (LONG hClient),LONG,PASCAL,RAW
  FtpIsBlocking (LONG hClient),LONG,PASCAL,RAW
  FtpGetDirectoryFormat(LONG hClient),LONG,PASCAL,RAW
  FtpLogout (LONG hClient),LONG,PASCAL,RAW
  FtpSetFileType (LONG hClient,LONG liFileType),LONG,PASCAL,RAW
  FtpSetFileStructure (LONG hClient,LONG liFileType),LONG,PASCAL,RAW
  FtpSetFileMode (LONG hClient,LONG liFileMode),LONG,PASCAL,RAW
  FtpSetPassiveMode (LONG hClient,SHORT bPassiveMode),LONG,PASCAL,RAW
  FtpAllocate (LONG hClient,LONG dwFileLength,LONG dwRecordSize),LONG,PASCAL,RAW
  FtpChangeDirectoryUp (LONG hClient),LONG,PASCAL,RAW
  FtpGetServerType (LONG hClient),LONG,PASCAL,RAW
  FtpGetBytesCopied (LONG hClient),LONG,PASCAL,RAW
  FtpGetTransferTime (LONG hClient),LONG,PASCAL,RAW
  FtpGetTimeout (LONG hClient),LONG,PASCAL,RAW
  FtpSetTimeout (LONG hClient,LONG liTimeout),LONG,PASCAL,RAW
  FtpRestart (LONG hClient,LONG dwOffset),LONG,PASCAL,RAW
  FtpGetFileListFormat (LONG hClient),LONG,PASCAL,RAW
  FtpSetFileListFormat (LONG hClient,LONG liFileListFormat),LONG,PASCAL,RAW
  FtpGetProxyType (LONG hClient),LONG,PASCAL,RAW
  FtpEnableEvents (LONG hClient,LONG hWnd,LONG liMessageId),LONG,PASCAL,RAW
  FtpDisableEvents (LONG hClient),LONG,PASCAL,RAW
  FtpUninitialize (),PASCAL
  FtpInitialize (<*CSTRING>,ULONG=0),SIGNED,PASCAL,RAW,NAME('FtpInitializeA')
  FtpConnect (*CSTRING strHostAddress,LONG liPort,LONG liTimeout),LONG,PASCAL,RAW,NAME('FtpConnectA')
  FtpProxyConnect (LONG liProxyType,*CSTRING strProxyHost,LONG liProxyPort,*CSTRING strUser,|
  *CSTRING strPassword,*CSTRING strRemoteHostName,LONG liTimeout),LONG,PASCAL,RAW,NAME('FtpProxyConnectA')
  FtpGetErrorString (LONG liErrorCode,*CSTRING strErrorMsg,LONG liMaxBufferSize),LONG,PASCAL,RAW,NAME('FtpGetErrorStringA')
  FtpOpenFile (LONG hClient,*CSTRING strFileName,LONG liFileMode),LONG,PASCAL,RAW,NAME('FtpOpenFileA') 
  FtpOpenDirectory (LONG hClient,*CSTRING strDirectory),LONG,PASCAL,RAW,NAME('FtpOpenDirectoryA') 
  FtpCommand (LONG hClient,*CSTRING strCommand,<*CSTRING strParameter>),LONG,PASCAL,RAW,NAME('FtpCommandA')
  FtpGetResultString (LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW,NAME('FtpGetResultStringA') 
  FtpGetFileLength (LONG hClient,*CSTRING strFileName,*LONG dwBytes),LONG,PASCAL,RAW,NAME('FtpGetFileLengthA')
  FtpRenameFile (LONG hClient,*CSTRING strOldFileName,*CSTRING strNewFileName),LONG,PASCAL,RAW,NAME('FtpRenameFileA') 
  FtpRemoveFile (LONG hClient,*CSTRING strFileName),LONG,PASCAL,RAW,NAME('FtpRemoveFileA') 
  FtpChangeDirectory (LONG hClient,*CSTRING strDirectory),LONG,PASCAL,RAW,NAME('FtpChangeDirectoryA') 
  FtpGetDirectory (LONG hClient,*CSTRING strDirectory,LONG liMaxDirSize),LONG,PASCAL,RAW,NAME('FtpGetDirectoryA') 
  FtpCreateDirectory (LONG hClient,*CSTRING strDirectory),LONG,PASCAL,RAW,NAME('FtpCreateDirectoryA') 
  FtpRemoveDirectory (LONG hClient,*CSTRING strDirectory),LONG,PASCAL,RAW,NAME('FtpRemoveDirectoryA') 
  FtpMountStructure (LONG hClient,*CSTRING strFileSystem),LONG,PASCAL,RAW,NAME('FtpMountStructureA') 
  FtpGetSystemInfo (LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW,NAME('FtpGetSystemInfoA') 
  FtpGetStatus (LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW,NAME('FtpGetStatusA') 
  FtpGetFile (LONG hClient,*CSTRING strLocalFile,*CSTRING strRemoteFile,SHORT bAppend),LONG,PASCAL,RAW,NAME('FtpGetFileA')
  FtpPutFile (LONG hClient,*CSTRING strLocalFile,*CSTRING strRemoteFile,SHORT bAppend),LONG,PASCAL,RAW,NAME('FtpPutFileA')
  FtpUsername (LONG hClient,*CSTRING strUserName),LONG,PASCAL,RAW,NAME('FtpUsernameA') 
  FtpPassword (LONG hClient,*CSTRING strPassword),LONG,PASCAL,RAW,NAME('FtpPasswordA')
  FtpAccount (LONG hClient,*CSTRING strAccount),LONG,PASCAL,RAW,NAME('FtpAccountA')
  FtpLogin (LONG hClient,*CSTRING strUserName,*CSTRING strPassword,*CSTRING strAccount),LONG,PASCAL,RAW,NAME('FtpLoginA') 
  FtpGetFirstFile (LONG hClient,*FTPFILESTATUS),SHORT,PASCAL,RAW,NAME('FtpGetFirstFileA')
  FtpGetNextFile (LONG hClient,*FTPFILESTATUS),SHORT,PASCAL,RAW,NAME('FtpGetNextFileA')
  FtpGetFileStatus (LONG hClient,*CSTRING strFileName,*FTPFILESTATUS),PASCAL,RAW,NAME('FtpGetFileStatusA')
  FtpGetMultipleFiles(LONG,*CSTRING,*CSTRING,*CSTRING),LONG,PASCAL,RAW,NAME('FtpGetMultipleFilesA')
  FtpPutMultipleFiles(LONG,*CSTRING,*CSTRING,*CSTRING),LONG,PASCAL,RAW,NAME('FtpPutMultipleFilesA')
 **END**
 OMIT('**END**',_WIDTH32_)

  FtpSetLastError(SHORT liErrorCode),PASCAL,RAW
  FtpGetLastError(),SHORT,PASCAL,RAW
  FtpDisconnect(SHORT hClient),SHORT,PASCAL,RAW
  FtpGetSocket(SHORT hClient),SHORT,PASCAL,RAW
  FtpCloseFile(SHORT hClient),SHORT,PASCAL,RAW
  FtpCloseDirectory(SHORT hClient),SHORT,PASCAL,RAW
  FtpEndOfFile(SHORT hClient),SHORT,PASCAL,RAW
  FtpRead(SHORT hClient,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  FtpWrite(SHORT hClient,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  FtpGetResultCode(SHORT hClient),SHORT,PASCAL,RAW
  FtpAsyncNotify(SHORT hClient,SHORT hWnd,LONG liMessageId),SHORT,PASCAL,RAW
  FtpReset(SHORT hClient),SHORT,PASCAL,RAW
  FtpCancel(SHORT hClient),SHORT,PASCAL,RAW
  FtpIsBlocking(SHORT hClient),SHORT,PASCAL,RAW
  FtpLogout(SHORT hClient),SHORT,PASCAL,RAW
  FtpSetFileType(SHORT hClient,SHORT iFileType),SHORT,PASCAL,RAW
  FtpSetFileStructure(SHORT hClient,SHORT iFileType),SHORT,PASCAL,RAW
  FtpSetFileMode(SHORT hClient,SHORT iFileMode),SHORT,PASCAL,RAW
  FtpSetPassiveMode(SHORT hClient,SHORT bPassiveMode),SHORT,PASCAL,RAW
  FtpAllocate(SHORT hClient,LONG dwFileLength,LONG dwRecordSize),SHORT,PASCAL,RAW
  FtpChangeDirectoryUp(SHORT hClient),SHORT,PASCAL,RAW
  FtpGetServerType(SHORT hClient),SHORT,PASCAL,RAW
  FtpGetBytesCopied(SHORT hClient),LONG,PASCAL,RAW
  FtpGetTransferTime(SHORT hClient),LONG,PASCAL,RAW
  FtpGetTimeout(SHORT hClient),SHORT,PASCAL,RAW
  FtpSetTimeout(SHORT hClient,LONG liTimeout),SHORT,PASCAL,RAW
  FtpRestart(SHORT hClient,LONG dwOffset),SHORT,PASCAL,RAW
  FtpGetFileListFormat(SHORT hClient),SHORT,PASCAL,RAW
  FtpSetFileListFormat(SHORT hClient,SHORT iFileListFormat),SHORT,PASCAL,RAW
  FtpGetProxyType(SHORT hClient),SHORT,PASCAL,RAW
  FtpEnableEvents(SHORT hClient,SHORT hWnd,LONG liMessageId),SHORT,PASCAL,RAW
  FtpDisableEvents(SHORT hClient),SHORT,PASCAL,RAW
  FtpUninitialize(),PASCAL
  FtpInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW
  FtpConnect(*CSTRING strHostAddress,LONG liPort,LONG liTimeout),SHORT,PASCAL,RAW
  FtpProxyConnect(LONG liProxyType,*CSTRING strProxyHost,LONG liProxyPort,*CSTRING strUser,*CSTRING strPassword,|
  *CSTRING strRemoteHostName,LONG liTimeout),SHORT,PASCAL,RAW
  FtpGetErrorString(SHORT iErrorCode,*CSTRING strErrorMsg,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  FtpOpenFile(SHORT hClient,*CSTRING strFileName,LONG liFileMode),SHORT,PASCAL,RAW
  FtpOpenDirectory(SHORT hClient,*CSTRING strDirectory),SHORT,PASCAL,RAW
  FtpCommand(SHORT hClient,*CSTRING strCommand,<*CSTRING strParameter>),SHORT,PASCAL,RAW
  FtpGetResultString(SHORT hClient,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  FtpGetFileLength(SHORT hClient,*CSTRING strFileName,*LONG dwBytes),SHORT,PASCAL,RAW
  FtpRenameFile(SHORT hClient,*CSTRING strOldFileName,*CSTRING strNewFileName),SHORT,PASCAL,RAW
  FtpRemoveFile(SHORT hClient,*CSTRING strFileName),SHORT,PASCAL,RAW
  FtpChangeDirectory(SHORT hClient, *CSTRING),SHORT,PASCAL,RAW
  FtpGetDirectory(SHORT hClient,*CSTRING strDirectory,SHORT iMaxDirSize),SHORT,PASCAL,RAW
  FtpCreateDirectory(SHORT hClient,*CSTRING strDirectory),SHORT,PASCAL,RAW
  FtpRemoveDirectory(SHORT hClient,*CSTRING strDirectory),SHORT,PASCAL,RAW
  FtpMountStructure(SHORT hClient,*CSTRING strFileSystem),SHORT,PASCAL,RAW
  FtpGetSystemInfo(SHORT hClient,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  FtpGetStatus(SHORT hClient,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  FtpGetFile(SHORT hClient,*CSTRING strLocalFile,*CSTRING strRemoteFile,SHORT bAppend),SHORT,PASCAL,RAW
  FtpPutFile(SHORT hClient,*CSTRING strLocalFile,*CSTRING strRemoteFile,SHORT bAppend),SHORT,PASCAL,RAW
  FtpUsername(SHORT hClient,*CSTRING strUserName),SHORT,PASCAL,RAW
  FtpPassword(SHORT hClient,*CSTRING strPassword),SHORT,PASCAL,RAW
  FtpAccount(SHORT hClient,*CSTRING strAccount),SHORT,PASCAL,RAW
  FtpLogin(SHORT hClient,*CSTRING strUserName,*CSTRING strPassword,*CSTRING strAccount),SHORT,PASCAL,RAW
  FtpGetFirstFile(SHORT hClient,*FTPFILESTATUS),SHORT,PASCAL,RAW
  FtpGetNextFile(SHORT hClient,*FTPFILESTATUS),SHORT,PASCAL,RAW
  FtpGetFileStatus(LONG hClient,*CSTRING strFileName,*FTPFILESTATUS),SHORT,PASCAL,RAW

 **END**
 END !MODULE

!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * Gopher client libraries CSGPRL16.DLL and CSGPRL32.DLL
! *
! ************************************************************************/


SECTION('GOPHER')

 MODULE('CSGPRL')

 COMPILE('**END**',_WIDTH32_)

  GopherDisconnect(LONG hClient),LONG,PASCAL,RAW
  GopherAsyncNotify(LONG hClient,LONG hWnd,UNSIGNED uiMessageId),LONG,PASCAL,RAW
  GopherSetLastError(LONG liErrorCode),PASCAL
  GopherGetLastError(),LONG,PASCAL,RAW
  GopherGetSocket(LONG hClient),LONG,PASCAL,RAW
  GopherRead(LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW
  GopherGetTimeout(LONG hClient),LONG,PASCAL,RAW
  GopherSetTimeout(LONG hClient,LONG liTimeout),LONG,PASCAL,RAW
  GopherIsBlocking(LONG hClient),SHORT,PASCAL
  GopherCancel(LONG hClient),SHORT,PASCAL
  GopherGetItemCount(LONG hClient),LONG,PASCAL,RAW
  GopherGetItemType(LONG hClient,LONG liItemType),LONG,PASCAL,RAW
  GopherGetItemPort(LONG hClient,LONG liItemPort),LONG,PASCAL,RAW
  GopherUninitialize(),PASCAL
  GopherInitialize(*CSTRING strLicenseKey,LONG dwReserved)SHORT,PASCAL,RAW,Name('GopherInitializeA')
  GopherAsyncConnect(*CSTRING strHostAddress,LONG uiPort,UNSIGNED uiTimeout,LONG hWnd,LONG uiMessageId),Name('GopherAsyncConnectA')
  GopherConnect(*CSTRING strHostAddress,UNSIGNED uiPort,LONG uiTimeout),LONG,PASCAL,RAW,Name('GopherConnectA')
  GopherGetErrorString(LONG liErrorCode,*CSTRING strErrorMsg,*LONG liMaxErrorMsgSize),LONG,PASCAL,RAW,Name('GopherGetErrorStringA')
  GopherSelectItem(LONG hClient,LONG uiIdType,*CSTRING strSelector),LONG,PASCAL,RAW,Name('GopherSelectItemA')
  GopherGetItemDescription(LONG hClient,LONG liItemType),LONG,PASCAL,RAW,Name('GopherGetItemDescriptionA')
  GopherGetItemSelector(LONG hClient,LONG liItemType),LONG,PASCAL,RAW,Name('GopherGetItemSelectorA')
  GopherGetItemHostName(LONG hClient,LONG liItemType),LONG,PASCAL,RAW,Name('GopherGetItemHostNameA')

 **END**
 OMIT('**END**',_WIDTH32_)

  GopherDisconnect(SHORT hClient),SHORT,PASCAL,RAW
  GopherAsyncNotify(SHORT hClient,SHORT hWnd,UNSIGNED uiMessageId),SHORT,PASCAL,RAW
  GopherSetLastError(SHORT iErrorCode),PASCAL
  GopherGetLastError(),SHORT,PASCAL,RAW
  GopherGetSocket(SHORT hClient),SHORT,PASCAL,RAW
  GopherRead(SHORT hClient,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  GopherGetTimeout(SHORT hClient),SHORT,PASCAL,RAW
  GopherSetTimeout(SHORT hClient,LONG uiTimeout),SHORT,PASCAL,RAW
  GopherIsBlocking(SHORT hClient),SHORT,PASCAL,RAW
  GopherCancel(SHORT hClient),SHORT,PASCAL,RAW
  GopherGetItemCount(SHORT hClient),SHORT,PASCAL,RAW
  GopherGetItemType(SHORT hClient,SHORT iItemType),SHORT,PASCAL,RAW
  GopherGetItemPort(SHORT hClient,SHORT iItemPort),SHORT,PASCAL,RAW
  GopherUninitialize()
  GopherInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW
  GopherAsyncConnect(*CSTRING strHostAddress,UNSIGNED uiPort,LONG uiTimeout,SHORT hWnd,LONG uiMessageId),SHORT,PASCAL,RAW
  GopherConnect(*CSTRING strHostAddress,LONG uiPort,LONG uiTimeout),SHORT,PASCAL,RAW
  GopherGetErrorString(SHORT iErrorCode,*CSTRING strErrorMsg,SHORT iMaxErrorMsgSize),SHORT,PASCAL,RAW
  GopherSelectItem(LONG hClient,LONG uiIdType,*CSTRING strSelector),SHORT,PASCAL,RAW
  GopherGetItemDescription(LONG hClient,SHORT iItemType),LONG,PASCAL,RAW
  GopherGetItemSelector(SHORT hClient,SHORT iItemType),LONG,PASCAL,RAW
  GopherGetItemHostName(SHORT hClient,SHORT iItemType),LONG,PASCAL,RAW

 **END**
 END !MODULE

!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * Internet Control Message Protocol (ICMP) client libraries
! * CSICMP16.DLL and CSICMP32.DLL
! *
! ************************************************************************/


SECTION('ICMP')

 MODULE('CSICMP')

 COMPILE('**END**',_WIDTH32_)

  IcmpAsyncOpen(LONG hWnd,LONG uiMessageId),LONG,PASCAL,RAW
  IcmpAsyncOpenEx(LONG hWnd,LONG uiMessageId,SHORT bUseSocket),LONG,PASCAL,RAW
  IcmpOpen(),LONG,PASCAL,RAW
  IcmpOpenEx(SHORT bUseSocket),LONG,PASCAL,RAW
  IcmpClose(LONG hClient),LONG,PASCAL,RAW
  IcmpReset(LONG hClient),LONG,PASCAL,RAW
  IcmpGetSocket(LONG hClient),LONG,PASCAL,RAW
  IcmpSetHostAddress(LONG hClient,LONG dwAddress),LONG,PASCAL,RAW
  IcmpSendEcho(LONG hClient),LONG,PASCAL,RAW
  IcmpRecvEcho(LONG hClient),LONG,PASCAL,RAW
  IcmpGetSequenceId(LONG hClient),LONG,PASCAL,RAW
  IcmpSetSequenceId(LONG hClient, LONG liSequenceId),LONG,PASCAL,RAW
  IcmpGetRecvCount(LONG hClient),LONG,PASCAL,RAW
  IcmpGetSendCount(LONG hClient),LONG,PASCAL,RAW
  IcmpGetTripTime(LONG hClient,*ICMPTIME udtIcmpTime),LONG,PASCAL,RAW
  IcmpGetTimeout(LONG hClient),LONG,PASCAL,RAW
  IcmpGetTimeToLive(LONG hClient),LONG,PASCAL,RAW
  IcmpSetTimeToLive(LONG hClient,LONG liTimeToLive),LONG,PASCAL,RAW
  IcmpGetPacketSize(LONG hClient),LONG,PASCAL,RAW
  IcmpSetPacketSize(LONG hClient,LONG liPacketSize),LONG,PASCAL,RAW
  IcmpAsyncNotify(LONG hClient,LONG hWnd,LONG uiMessageId),LONG,PASCAL,RAW
  IcmpSetTimeout(LONG hClient,LONG dwTimeout),LONG,PASCAL,RAW
  IcmpIsBlocking(LONG hClient),SHORT,PASCAL,RAW
  IcmpCancel(LONG hClient),LONG,PASCAL,RAW
  IcmpSetLastError(LONG nError),PASCAL
  IcmpGetLastError(),LONG,PASCAL,RAW
  IcmpUninitialize(),PASCAL
  IcmpInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW,NAME('IcmpInitializeA')
  IcmpSetHostName(LONG hClient,*CSTRING strHostName),LONG,PASCAL,RAW,NAME('IcmpSetHostNameA')
  IcmpGetHostAddress(LONG hClient,*CSTRING strHostAddress,LONG liMaxAddressSize),LONG,PASCAL,RAW,NAME('IcmpGetHostAddressA')
  IcmpGetHostName(LONG hClient,*CSTRING strHostName,LONG liMaxHostNameSize),LONG,PASCAL,RAW,NAME('IcmpGetHostNameA') 
  IcmpGetErrorString(LONG liErrorCode,*CSTRING strErrorMsg,LONG liMaxErrorMsgSize),LONG,PASCAL,RAW,NAME('IcmpGetErrorStringA')

 **END**
 OMIT('**END**',_WIDTH32_)

  IcmpAsyncOpen(LONG hWnd,LONG uiMessageId),LONG,PASCAL,RAW
  IcmpAsyncOpenEx(SHORT hWnd,LONG uiMessageId,SHORT bUseSocket),SHORT,PASCAL,RAW
  IcmpOpen(),SHORT,PASCAL,RAW
  IcmpOpenEx(SHORT bUseSocket),SHORT,PASCAL,RAW
  IcmpClose(SHORT hClient),SHORT,PASCAL,RAW
  IcmpReset(SHORT hClient),SHORT,PASCAL,RAW
  IcmpGetSocket(SHORT hClient),SHORT,PASCAL,RAW
  IcmpSetHostAddress(SHORT hClient,LONG dwAddress),SHORT,PASCAL,RAW
  IcmpSendEcho(SHORT hClient),SHORT,PASCAL,RAW
  IcmpRecvEcho(SHORT hClient),SHORT,PASCAL,RAW
  IcmpGetSequenceId(SHORT hClient),SHORT,PASCAL,RAW
  IcmpSetSequenceId(SHORT hClient,SHORT liSequenceId),SHORT,PASCAL,RAW
  IcmpGetRecvCount(SHORT hClient),SHORT,PASCAL,RAW
  IcmpGetSendCount(SHORT hClient),SHORT,PASCAL,RAW
  IcmpGetTripTime(SHORT hClient,*ICMPTIME),SHORT,PASCAL,RAW
  IcmpGetTimeout(SHORT hClient),LONG,PASCAL,RAW
  IcmpGetTimeToLive(SHORT hClient),SHORT,PASCAL,RAW
  IcmpSetTimeToLive(SHORT hClient,SHORT liTimeToLive),SHORT,PASCAL,RAW
  IcmpGetPacketSize(SHORT hClient),SHORT,PASCAL,RAW
  IcmpSetPacketSize(SHORT hClient,SHORT liPacketSize),SHORT,PASCAL,RAW
  IcmpAsyncNotify(SHORT hClient,SHORT hWnd,LONG uiMessageId),SHORT,PASCAL,RAW
  IcmpSetTimeout(SHORT hClient,LONG dwTimeout),LONG,PASCAL,RAW
  IcmpIsBlocking(SHORT hClient),SHORT,PASCAL,RAW
  IcmpCancel(SHORT hClient),SHORT,PASCAL,RAW
  IcmpSetLastError(SHORT nError),PASCAL
  IcmpGetLastError(),SHORT,PASCAL,RAW
  IcmpUninitialize(),PASCAL
  IcmpInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW
  IcmpSetHostName(LONG hClient,*CSTRING strHostName),SHORT,PASCAL,RAW
  IcmpGetHostAddress(LONG hClient,*CSTRING strHostAddress,SHORT iMaxAddressSize),SHORT,PASCAL,RAW
  IcmpGetHostName(SHORT hClient,*CSTRING strHostName,SHORT iMaxHostNameSize),SHORT,PASCAL,RAW
  IcmpGetErrorString(SHORT iErrorCode,*CSTRING strErrorMsg,SHORT iMaxErrorMsgSize),SHORT,PASCAL,RAW

 **END**
 END !MODULE


!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * image viewer libraries CSIMGL16.DLL and CSIMGL32.DLL
! *
! ************************************************************************/

SECTION('IMAGE')

 MODULE('CSIMGL')

 COMPILE('**END**',_WIDTH32_)

  UnloadImageTable(),PASCAL
  GetImageCount(),LONG,PASCAL,RAW
  ImageCached(LONG hDIB),SHORT,PASCAL,RAW
  ResetImageCache(),LONG,PASCAL,RAW
  GetImageCacheSize(),LONG,PASCAL,RAW
  SetImageCacheSize(LONG liCacheSize),LONG,PASCAL,RAW
  UnregisterImageType(LONG liImageType),SHORT,PASCAL,RAW
  ReloadImage(LONG hDIB),LONG,PASCAL,RAW
  UnloadImage(LONG hDIB),SHORT,PASCAL,RAW
  DeleteImage(LONG hDIB),SHORT,PASCAL,RAW
  DrawImage(LONG hDC,LONG liXPos,LONG liYPos, LONG hDIB),SHORT,PASCAL,RAW
  StretchImage(LONG hDC,LONG liXPos,LONG liYPos,LONG liWidth,LONG liHeight,LONG hDIB),SHORT,PASCAL,RAW
  GetImageExtent(LONG hDIB,*IMAGESIZE udtSize),LONG,PASCAL,RAW
  GetImageUsage(LONG hDIB),LONG,PASCAL,RAW
  GetImageType(LONG hDIB),LONG,PASCAL,RAW
  GetImageColors(LONG hDIB),LONG,PASCAL,RAW
  GetImageTransColor(LONG hDIB,*LONG cpColor),SHORT,PASCAL,RAW
  SetImageTransColor(LONG hDIB,LONG cColor),SHORT,PASCAL,RAW
  RealizeImagePalette(LONG hDC,LONG hDIB,SHORT bPalBack),LONG,PASCAL,RAW
  GetImagePalette(LONG hDIB),LONG,PASCAL,RAW
  CreateImagePalette(*LONG arrHandle,LONG liBitmaps),LONG,PASCAL,RAW
  GetImageBitmap(LONG hDIB),LONG,PASCAL,RAW
  RegisterImageType(*CSTRING strImageLibrary,*CSTRING strFunction,*CSTRING strExtension),LONG,PASCAL,RAW,NAME('RegisterImageTypeA') 
  LoadImageFile(*CSTRING strFileName,LONG liImageType),LONG,PASCAL,RAW,NAME('LoadImageFileA')
  GetImageFile(LONG hDIB,*CSTRING strFileName,LONG liMaxNameSize),LONG,PASCAL,RAW,NAME('GetImageFileA')
  GetImageFileType(*CSTRING strFileName),LONG,PASCAL,RAW,NAME('GetImageFileTypeA') 
  GetImageFileTypeExtension(LONG liImageType),LONG,PASCAL,RAW,NAME('GetImageFileTypeExtensionA') !use strcpy to get extension


 **END**
 OMIT('**END**',_WIDTH32_)

  UnloadImageTable(),PASCAL
  GetImageCount(),SHORT,PASCAL,RAW
  ImageCached(SHORT hDIB),SHORT,PASCAL,RAW
  ResetImageCache(),SHORT,PASCAL,RAW
  GetImageCacheSize(),SHORT,PASCAL,RAW
  SetImageCacheSize(SHORT iCacheSize),SHORT,PASCAL,RAW
  UnregisterImageType(SHORT iImageType),SHORT,PASCAL,RAW
  ReloadImage(SHORT hDIB),SHORT,PASCAL,RAW
  UnloadImage(SHORT hDIB),SHORT,PASCAL,RAW
  DeleteImage(SHORT hDIB),SHORT,PASCAL,RAW
  DrawImage(SHORT hDC,SHORT iXPos,SHORT iYPos, SHORT hDIB),SHORT,PASCAL,RAW
  StretchImage(SHORT hDC,SHORT iXPos,SHORT iYPos,SHORT liWidth,SHORT liHeight, SHORT hDIB),SHORT,PASCAL,RAW
  GetImageExtent(SHORT hDIB,*IMAGESIZE),SHORT,PASCAL,RAW
  GetImageUsage(SHORT hDIB),SHORT,PASCAL,RAW
  GetImageType(SHORT hDIB),SHORT,PASCAL,RAW
  GetImageColors(SHORT hDIB),SHORT,PASCAL,RAW
  GetImageTransColor(SHORT hDIB,*LONG),SHORT,PASCAL,RAW
  SetImageTransColor(SHORT hDIB,LONG cColor),SHORT,PASCAL,RAW
  RealizeImagePalette(SHORT hDC, SHORT hDIB,SHORT bPalBack),LONG,PASCAL,RAW
  GetImagePalette(SHORT hDIB),SHORT,PASCAL,RAW
  CreateImagePalette(*SHORT arrHandle,SHORT iBitmaps),SHORT,PASCAL,RAW
  GetImageBitmap(SHORT hDIB),SHORT,PASCAL,RAW
  RegisterImageType(*CSTRING strImageLibrary,*CSTRING strFunction,*CSTRING strExtension),SHORT,PASCAL,RAW
  LoadImageFile(*CSTRING strFileName,SHORT iImageType),SHORT,PASCAL,RAW
  GetImageFile(SHORT hDIB,*CSTRING strFileName,SHORT iMaxNameSize),SHORT,PASCAL,RAW
  GetImageFileType(*CSTRING strFileName),SHORT,PASCAL,RAW
  GetImageFileTypeExtension(SHORT iImageType),LONG,PASCAL,RAW

 **END**
 END !MODULE



!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * Multipurpose Internet Mail Extensions (MIME) libraries
! * CSMSGL16.DLL and CSMSGL32.DLL
! *
! ************************************************************************/

SECTION('MIME')

 MODULE('CSMSGL')

 COMPILE('**END**',_WIDTH32_)

  MimeSetLastError(LONG liErrorCode),PASCAL
  MimeGetLastError(),LONG,PASCAL,RAW
  MimeCreateMessage(),LONG,PASCAL,RAW
  MimeCreateMessagePart(LONG hMessage),LONG,PASCAL,RAW
  MimeResetMessage(LONG hMessage),SHORT,PASCAL,RAW
  MimeDeleteMessage(LONG hMessage),SHORT,PASCAL,RAW
  MimeDeleteMessagePart(LONG hMessage,LONG liMessagePart),SHORT,PASCAL,RAW
  MimeClearMessageText(LONG hMessage),SHORT,PASCAL,RAW
  MimeGetMessagePartCount(LONG hMessage),LONG,PASCAL,RAW
  MimeGetMessagePart(LONG hMessage),LONG,PASCAL,RAW
  MimeSetMessagePart(LONG hMessage,LONG liMessagePart),LONG,PASCAL,RAW
  MimeGetContentLength(LONG hMessage),LONG,PASCAL,RAW
  MimeUninitialize(),PASCAL
  MimeInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW,NAME('MimeInitializeA')
  MimeGetErrorString(LONG liErrorCode,*CSTRING strErrorMsg,LONG liMaxErrorMsgSize),LONG,PASCAL,RAW,NAME('MimeGetErrorStringA')
  MimeGetMessageHeader(LONG hMessage,*CSTRING strHeader),CSTRING,PASCAL,RAW,NAME('MimeGetMessageHeaderA')
  MimeSetMessageHeader(LONG hMessage,*CSTRING strHeader,*CSTRING strHeaderValue),SHORT,PASCAL,RAW,NAME('MimeSetMessageHeaderA') 
  MimeDeleteMessageHeader(LONG hMessage,*CSTRING strHeader),SHORT,PASCAL,RAW,NAME('MimeDeleteMessageHeaderA') 
  MimeGetMessageText(LONG hMessage,LONG dwOffset,*CSTRING strBuffer,LONG dwMaxBufferLen),LONG,PASCAL,RAW,NAME('MimeGetMessageTextA')
  MimeSetMessageText(LONG hMessage,LONG dwOffset,*CSTRING strText),LONG,PASCAL,RAW,NAME('MimeSetMessageTextA')
  MimeAppendMessageText(LONG hMessage,*CSTRING strText),LONG,PASCAL,RAW,NAME('MimeAppendMessageTextA') 
  MimeCompareMessageText(LONG hMessage,*LONG pStr,*CSTRING strText,LONG dwTextLen,SHORT bEquiv),LONG,PASCAL,RAW,NAME('MimeCompareMessageTextA')
  MimeGetMessageVersion(LONG hMessage),CSTRING,PASCAL,RAW,NAME('MimeGetMessageVersionA')
  MimeSetMessageVersion(LONG hMessage,*CSTRING strVersion),SHORT,PASCAL,RAW,NAME('MimeSetMessageVersionA') 
  MimeGetMessageDate(LONG hMessage,SHORT bLocalize),CSTRING,PASCAL,RAW,NAME('MimeGetMessageDateA')
  MimeSetMessageDate(LONG hMessage,*CSTRING strDate,SHORT bLocalize),SHORT,PASCAL,RAW,NAME('MimeSetMessageDateA')
  MimeGetMessageBoundary(LONG hMessage),CSTRING,PASCAL,RAW,NAME('MimeGetMessageBoundaryA')
  MimeParseHeader(LONG hMessage,*CSTRING strHeader),SHORT,PASCAL,RAW,NAME('MimeParseHeaderA') 
  MimeParseBuffer(LONG hMessage,*CSTRING strBuffer,LONG liMaxBufferLen),SHORT,PASCAL,RAW,NAME('MimeParseBufferA')
  MimeImportMessage(LONG hMessage,*CSTRING strFileName),SHORT,PASCAL,RAW,NAME('MimeImportMessageA') 
  MimeExportMessage(LONG hMessage,*CSTRING strFileName),SHORT,PASCAL,RAW,NAME('MimeExportMessageA') 
  MimeGetAttachedFileName(LONG hMessage,*CSTRING strFileName,LONG liMaxFileNameLen),SHORT,PASCAL,RAW,NAME('MimeGetAttachedFileNameA')
  MimeAttachFile(LONG hMessage,*CSTRING strFileName),SHORT,PASCAL,RAW,NAME('MimeAttachFileA') 
  MimeExtractFile(LONG hMessage,*CSTRING strFileName),SHORT,PASCAL,RAW,NAME('MimeExtractFileA') 

 **END**
 OMIT('**END**',_WIDTH32_)

  MimeSetLastError(SHORT iErrorCode),PASCAL
  MimeGetLastError(),SHORT,PASCAL,RAW
  MimeCreateMessage(),SHORT,PASCAL,RAW
  MimeCreateMessagePart(SHORT hMessage),SHORT,PASCAL,RAW
  MimeResetMessage(SHORT hMessage),SHORT,PASCAL,RAW
  MimeDeleteMessage(SHORT hMessage),SHORT,PASCAL,RAW
  MimeDeleteMessagePart(SHORT hMessage,SHORT iMessagePart),SHORT,PASCAL,RAW
  MimeClearMessageText(SHORT hMessage),SHORT,PASCAL,RAW
  MimeGetMessagePartCount(SHORT hMessage),SHORT,PASCAL,RAW
  MimeGetMessagePart(SHORT hMessage),SHORT,PASCAL,RAW
  MimeSetMessagePart(SHORT hMessage,SHORT iMessagePart),SHORT,PASCAL,RAW
  MimeGetContentLength(SHORT hMessage),LONG,PASCAL,RAW
  MimeUninitialize(),PASCAL
  MimeInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW
  MimeGetErrorString(SHORT iErrorCode,*CSTRING strErrorMsg,SHORT iMaxErrorMsgLen),SHORT,PASCAL,RAW
  MimeGetMessageHeader(SHORT hMessage,*CSTRING strHeader),CSTRING,PASCAL,RAW
  MimeSetMessageHeader(SHORT hMessage,*CSTRING strHeader,*CSTRING strHeaderValue),SHORT,PASCAL,RAW
  MimeDeleteMessageHeader(SHORT hMessage,*CSTRING strHeader),SHORT,PASCAL,RAW
  MimeGetMessageText(SHORT hMessage,LONG dwOffset,*CSTRING strBuffer,LONG),LONG,PASCAL,RAW
  MimeSetMessageText(SHORT hMessage,LONG dwOffset,*CSTRING strText),LONG,PASCAL,RAW
  MimeAppendMessageText(SHORT hMessage,*CSTRING strText),LONG,PASCAL,RAW
  MimeCompareMessageText(SHORT hMessage,*LONG pStr,*CSTRING strText,LONG dwTextLen,SHORT bEquiv),SHORT,PASCAL,RAW
  MimeGetMessageVersion(SHORT hMessage),CSTRING,PASCAL,RAW
  MimeSetMessageVersion(LONG hMessage,*CSTRING strVersion),SHORT,PASCAL,RAW
  MimeGetMessageDate(SHORT hMessage,SHORT bLocalize),CSTRING,PASCAL,RAW
  MimeSetMessageDate(SHORT hMessage,*CSTRING strDate,SHORT bLocalize),SHORT,PASCAL,RAW
  MimeGetMessageBoundary(SHORT hMessage),CSTRING,PASCAL,RAW
  MimeParseHeader(SHORT hMessage,*CSTRING strHeader),SHORT,PASCAL,RAW
  MimeParseBuffer(SHORT hMessage,*CSTRING strBuffer,SHORT iMaxBufferLen),SHORT,PASCAL,RAW
  MimeImportMessage(SHORT hMessage,*CSTRING strFileName),SHORT,PASCAL,RAW
  MimeExportMessage(SHORT hMessage,*CSTRING strFileName),SHORT,PASCAL,RAW
  MimeGetAttachedFileName(SHORT hMessage,*CSTRING strFileName,SHORT iMaxFileNameLen),SHORT,PASCAL,RAW
  MimeAttachFile(SHORT hMessage,*CSTRING strFileName),SHORT,PASCAL,RAW
  MimeExtractFile(SHORT hMessage,*CSTRING strFileName),SHORT,PASCAL,RAW

 **END**
 END !MODULE


!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * Network News Tranfer Protocol (NNTP) client libraries
! * CSNWSL16.DLL and CSNWSL32.DLL
! *
! ************************************************************************/

SECTION('NNTP')

 MODULE('CSNWSL')

 COMPILE('**END**',_WIDTH32_)

  NntpDisconnect(LONG hClient),LONG,PASCAL,RAW
  NntpAsyncNotify(LONG hClient,LONG hWnd,LONG uiMessageId),LONG,PASCAL,RAW
  NntpSetLastError(LONG liErrorCode),PASCAL
  NntpGetLastError(),LONG,PASCAL,RAW
  NntpGetSocket(LONG hClient),LONG,PASCAL,RAW
  NntpReadResult(LONG hClient),LONG,PASCAL,RAW
  NntpGetResultCode(LONG hClient),LONG,PASCAL,RAW
  NntpRead(LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW
  NntpWrite(LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW
  NntpReset(LONG hClient),LONG,PASCAL,RAW
  NntpGetTimeout(LONG hClient),LONG,PASCAL,RAW
  NntpSetTimeout(LONG hClient,LONG liTimeout),LONG,PASCAL,RAW
  NntpListGroups(LONG hClient),LONG,PASCAL,RAW
  NntpGetArticleRange(LONG hClient,*LONG pFirstArticle,*LONG pLastArticle),LONG,PASCAL,RAW
  NntpGetCurrentArticle(LONG hClient),LONG,PASCAL,RAW
  NntpListArticles(LONG hClient,LONG dwFirstArticle,LONG dwLastArticle),LONG,PASCAL,RAW
  NntpGetArticleHeader(LONG hClient,LONG dwArticle),LONG,PASCAL,RAW
  NntpGetArticleByNumber(LONG hClient,LONG dwArticle),LONG,PASCAL,RAW
  NntpGetNextArticle(LONG hClient),LONG,PASCAL,RAW
  NntpGetPreviousArticle(LONG hClient),LONG,PASCAL,RAW
  NntpCreateArticle(LONG hClient),LONG,PASCAL,RAW
  NntpCloseArticle(LONG hClient),LONG,PASCAL,RAW
  NntpIsBlocking(LONG hClient),SHORT,PASCAL,RAW
  NntpCancel(LONG hClient),LONG,PASCAL,RAW
  NntpSetMultiLine(LONG hClient,SHORT bMultiline),LONG,PASCAL,RAW
  NntpGetMultiLine(LONG hClient,*SHORT bMultiline),LONG,PASCAL,RAW
  NntpUninitialize(),PASCAL
  NntpInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW,Name('NntpInitializeA')
  NntpAsyncConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout,LONG hWnd,LONG uiMessageId),LONG,PASCAL,RAW,Name('NntpAsyncConnectA')
  NntpConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout),LONG,PASCAL,RAW,Name('NntpConnectA')
  NntpGetErrorString(LONG liErrorCode,*CSTRING strErrorMsg,LONG liMaxErrorMsgSize),LONG,PASCAL,RAW,Name('NntpGetErrorStringA')
  NntpCommand(LONG hClient,*CSTRING strCommand,<*CSTRING strParameter>),LONG,PASCAL,RAW,Name('NntpCommandA')
  NntpGetResultString(LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW,Name('NntpGetResultStringA')
  NntpListNewGroups(LONG hClient,*CSTRING strDate),LONG,PASCAL,RAW,Name('NntpListNewGroupsA') 
  NntpSelectGroup(LONG hClient,*CSTRING strGroup),LONG,PASCAL,RAW,Name('NntpSelectGroupA') 
  NntpGetGroupName(LONG hClient,*CSTRING strGroupName,LONG liMaxGroupNameSize),LONG,PASCAL,RAW,Name('NntpGetGroupNameA')
  NntpGetGroupTitle(LONG hClient,*CSTRING strTitle,LONG liMaxTitleSize),LONG,PASCAL,RAW,Name('NntpGetGroupTitleA')
  NntpGetArticleMessageId(LONG hClient,LONG dwArticle,*CSTRING strMsgId,LONG liMaxMsgIdSize),LONG,PASCAL,RAW,Name('NntpGetArticleMessageIdA') 
  NntpGetMessageIdArticle(LONG hClient,*CSTRING strMsgId),LONG,PASCAL,RAW,Name('NntpGetMessageIdArticleA') 
  NntpGetArticleByMessageId(LONG hClient,*CSTRING strMsgId),LONG,PASCAL,RAW,Name('NntpGetArticleByMessageIdA') 
  NntpAuthenticate(LONG hClient,*CSTRING strUserName,*CSTRING strPassword),LONG,PASCAL,RAW,Name('NntpAuthenticateA') 
  NntpGetCurrentDate(*CSTRING strDate,LONG iMaxDateSize),LONG,PASCAL,RAW,Name('NntpGetCurrentDateA') 

 **END**
 OMIT('**END**',_WIDTH32_)

  NntpDisconnect(SHORT hClient),SHORT,PASCAL,RAW
  NntpAsyncNotify(SHORT hClient,SHORT hWnd,SHORT uiMessageId),SHORT,PASCAL,RAW
  NntpSetLastError(SHORT iErrorCode),PASCAL
  NntpGetLastError(),SHORT,PASCAL,RAW
  NntpGetSocket(SHORT hClient),SHORT,PASCAL,RAW
  NntpReadResult(SHORT hClient),SHORT,PASCAL,RAW
  NntpGetResultCode(SHORT hClient),SHORT,PASCAL,RAW
  NntpRead(SHORT hClient,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  NntpWrite(SHORT hClient,*CSTRING strBuffer,SHORT liMaxBufferSize),SHORT,PASCAL,RAW
  NntpReset(SHORT hClient),SHORT,PASCAL,RAW
  NntpGetTimeout(SHORT hClient),SHORT,PASCAL,RAW
  NntpSetTimeout(SHORT hClient,SHORT liTimeout),SHORT,PASCAL,RAW
  NntpListGroups(SHORT hClient),SHORT,PASCAL,RAW
  NntpGetArticleRange(SHORT hClient,*LONG pFirstArticle,*LONG pLastArticle),SHORT,PASCAL,RAW
  NntpGetCurrentArticle(SHORT hClient),LONG,PASCAL,RAW
  NntpListArticles(SHORT hClient,LONG dwFirstArticle,LONG dwLastArticle),SHORT,PASCAL,RAW
  NntpGetArticleHeader(SHORT hClient,LONG dwArticle),SHORT,PASCAL,RAW
  NntpGetArticleByNumber(SHORT hClient,LONG dwArticle),SHORT,PASCAL,RAW
  NntpGetNextArticle(SHORT hClient),SHORT,PASCAL,RAW
  NntpGetPreviousArticle(SHORT hClient),SHORT,PASCAL,RAW
  NntpCreateArticle(SHORT hClient),SHORT,PASCAL,RAW
  NntpCloseArticle(SHORT hClient),SHORT,PASCAL,RAW
  NntpIsBlocking(SHORT hClient),SHORT,PASCAL,RAW
  NntpCancel(SHORT hClient),SHORT,PASCAL,RAW
  NntpSetMultiLine(SHORT hClient,SHORT bMultiline),SHORT,PASCAL,RAW
  NntpGetMultiLine(SHORT hClient,*SHORT bMultiline),SHORT,PASCAL,RAW
  NntpUninitialize(),PASCAL
  NntpInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW
  NntpAsyncConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout,SHORT hWnd,LONG uiMessageId),SHORT,PASCAL,RAW
  NntpConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout),LONG,PASCAL,RAW
  NntpGetErrorString(SHORT iErrorCode,*CSTRING strErrorMsg,SHORT iMaxErrorMsgSize),SHORT,PASCAL,RAW
  NntpCommand(SHORT hClient,*CSTRING strCommand,<*CSTRING strParameter>),SHORT,PASCAL,RAW
  NntpGetResultString(SHORT hClient,*CSTRING strBuffer,LONG iMaxBufferSize),SHORT,PASCAL,RAW
  NntpListNewGroups(SHORT hClient,*CSTRING strDate),SHORT,PASCAL,RAW
  NntpSelectGroup(SHORT hClient,*CSTRING strGroup),SHORT,PASCAL,RAW
  NntpGetGroupName(SHORT hClient,*CSTRING strGroupName,SHORT iMaxGroupNameSize),SHORT,PASCAL,RAW
  NntpGetGroupTitle(SHORT hClient,*CSTRING strTitle,SHORT iMaxTitleSize),SHORT,PASCAL,RAW
  NntpGetArticleMessageId(SHORT hClient,LONG dwArticle,*CSTRING strMsgId,SHORT iMaxMsgIdSize),SHORT,PASCAL,RAW
  NntpGetMessageIdArticle(SHORT hClient,*CSTRING strMsgId),LONG,PASCAL,RAW
  NntpGetArticleByMessageId(SHORT hClient,*CSTRING strMsgId),SHORT,PASCAL,RAW
  NntpAuthenticate(SHORT hClient,*CSTRING strUserName,*CSTRING strPassword),SHORT,PASCAL,RAW
  NntpGetCurrentDate(*CSTRING strDate,LONG iMaxDateSize),SHORT,PASCAL,RAW

 **END**
 END !MODULE


!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * Post Office Protocol v3 (POP3) client libraries CSPOPL16.DLL
! * and CSPOPL32.DLL
! *
! ************************************************************************/

SECTION('POP3')

 MODULE('CSPOPL')

 COMPILE('**END**',_WIDTH32_)

  PopGetHwndClient(LONG hWnd),LONG,PASCAL,RAW
  PopGetClientHwnd(LONG hClient),LONG,PASCAL,RAW
  PopDisconnect(LONG hClient),LONG,PASCAL,RAW
  PopAsyncNotify(LONG hClient,LONG hWnd,LONG uiMessageId),LONG,PASCAL,RAW
  PopSetLastError(LONG liErrorCode),PASCAL
  PopGetLastError(),LONG,PASCAL,RAW
  PopGetSocket(LONG hClient),LONG,PASCAL,RAW
  PopReadResult(LONG hClient),SHORT,PASCAL,RAW
  PopGetResultCode(LONG hClient),SHORT,PASCAL,RAW
  PopRead(LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW
  PopGetTimeout(LONG hClient),LONG,PASCAL,RAW
  PopSetTimeout(LONG hClient,LONG liTimeout),LONG,PASCAL,RAW
  PopGetMessageCount(LONG hClient),LONG,PASCAL,RAW
  PopGetMessage(LONG hClient,LONG uiMessage,*LONG dwSize),LONG,PASCAL,RAW
  PopGetMessageHeader(LONG hClient,LONG uiMessage,*LONG dwSize),LONG,PASCAL,RAW
  PopDeleteMessage(LONG hClient,LONG uiMessage),LONG,PASCAL,RAW
  PopReset(LONG hClient),SHORT,PASCAL,RAW
  PopIsBlocking(LONG hClient),SHORT,PASCAL,RAW
  PopCancel(LONG hClient),LONG,PASCAL,RAW
  PopSetMultiLine(LONG hClient,LONG bMultiline),LONG,PASCAL,RAW
  PopGetMultiLine(LONG hClient,*LONG bMultiline),LONG,PASCAL,RAW
  PopEnableEvents(LONG hClient,LONG hWnd,LONG uiMessageId),LONG,PASCAL,RAW
  PopDisableEvents(LONG hClient),LONG,PASCAL,RAW
  PopUninitialize(),PASCAL
  PopInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW,NAME('PopInitializeA')
  PopGetErrorString(LONG liErrorCode,*CSTRING strErrorMsg,LONG liMaxErrorMsgSize),LONG,PASCAL,RAW,NAME('PopGetErrorStringA')
  PopAsyncConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout,LONG hWnd,|
  LONG uiMessageId),LONG,PASCAL,RAW,NAME('PopAsyncConnectA') 
  PopConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout),LONG,PASCAL,RAW,NAME('PopConnectA')
  PopCommand(LONG hClient,*CSTRING strCommand,<*CSTRING strParameter>),SHORT,PASCAL,RAW,NAME('PopCommandA')
  PopGetResultString(LONG hClient,*CSTRING strResult,LONG liMaxResultSize),LONG,PASCAL,RAW,NAME('PopGetResultStringA')
  PopLogin(LONG hClient,*CSTRING strUserName,*CSTRING strPassword),SHORT,PASCAL,RAW,NAME('PopLoginA') 

 **END**
 OMIT('**END**',_WIDTH32_)

  PopGetHwndClient(SHORT hWnd),SHORT,PASCAL,RAW
  PopGetClientHwnd(SHORT hClient),SHORT,PASCAL,RAW
  PopDisconnect(SHORT hClient),SHORT,PASCAL,RAW
  PopAsyncNotify(SHORT hClient,SHORT hWnd,LONG uiMessageId),SHORT,PASCAL,RAW
  PopSetLastError(SHORT iErrorCode),PASCAL
  PopGetLastError(),SHORT,PASCAL,RAW
  PopGetSocket(SHORT hClient),SHORT,PASCAL,RAW
  PopReadResult(SHORT hClient),SHORT,PASCAL,RAW
  PopGetResultCode(SHORT hClient),SHORT,PASCAL,RAW
  PopRead(SHORT hClient,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  PopGetTimeout(SHORT hClient),SHORT,PASCAL,RAW
  PopSetTimeout(SHORT hClient,SHORT iTimeout),SHORT,PASCAL,RAW
  PopGetMessageCount(SHORT hClient),SHORT,PASCAL,RAW
  PopGetMessage(SHORT hClient,LONG uiMessage,*LONG dwSize),SHORT,PASCAL,RAW
  PopGetMessageHeader(SHORT hClient,LONG uiMessage,*LONG dwSize),SHORT,PASCAL,RAW
  PopDeleteMessage(SHORT hClient,LONG uiMessage),SHORT,PASCAL,RAW
  PopReset(SHORT hClient),SHORT,PASCAL,RAW
  PopIsBlocking(SHORT hClient),SHORT,PASCAL,RAW
  PopCancel(SHORT hClient),SHORT,PASCAL,RAW
  PopSetMultiLine(SHORT hClient,SHORT bMultiline),SHORT,PASCAL,RAW
  PopGetMultiLine(SHORT hClient,*SHORT bMultiline),SHORT,PASCAL,RAW
  PopEnableEvents(SHORT hClient,SHORT hWnd,LONG uiMessageId),SHORT,PASCAL,RAW
  PopDisableEvents(SHORT hClient),SHORT,PASCAL,RAW
  PopUninitialize(),PASCAL
  PopInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW
  PopGetErrorString(SHORT iErrorCode,*CSTRING strErrorMsg,SHORT iMaxErrorMsgSize),SHORT,PASCAL,RAW
  PopAsyncConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout,SHORT hWnd,LONG uiMessageId),SHORT,PASCAL,RAW
  PopConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout),SHORT,PASCAL,RAW
  PopCommand(SHORT hClient,*CSTRING strCommand,<*CSTRING strParameter>),SHORT,PASCAL,RAW
  PopGetResultString(SHORT hClient,*CSTRING strResult,SHORT iMaxResultSize),SHORT,PASCAL,RAW
  PopLogin(SHORT hClient,*CSTRING strUserName,*CSTRING strPassword),SHORT,PASCAL,RAW

 **END**
 END !MODULE

!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * Remote Command libraries CSREXL16.DLL and CSREXL32.DLL
! *
! ************************************************************************/

SECTION('RCL')

 MODULE('CSREXL')

 COMPILE('**END**',_WIDTH32_)

  RlibSetLastError(LONG liErrorCode),PASCAL        
  RlibGetLastError(),LONG,PASCAL,RAW
  RlibDisconnect(LONG hClient),LONG,PASCAL,RAW
  RlibRead(LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW
  RlibWrite(LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW
  RlibAsyncNotify(LONG hClient,LONG hWnd,LONG uiMessageId),LONG,PASCAL,RAW
  RlibGetTimeout(LONG hClient),LONG,PASCAL,RAW
  RlibSetTimeout(LONG hClient,LONG liTimeout),LONG,PASCAL,RAW
  RlibGetSocket(LONG hClient),LONG,PASCAL,RAW
  RlibUninitialize(),PASCAL
  RlibInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW,NAME('RlibInitializeA')
  RlibGetErrorString(LONG liErrorCode,*CSTRING strErrorMsg,LONG liMaxErrorMsgSize),LONG,PASCAL,RAW,NAME('RlibGetErrorStringA')
  RlibRemoteExecute(*CSTRING strHostName,LONG uiPort,LONG uiTimeout,*CSTRING strUserName,|
  *CSTRING strPassword,*CSTRING strCommand),LONG,PASCAL,RAW,NAME('RlibRemoteExecuteA')
  RlibRemoteCommand(*CSTRING strHostName,LONG uiPort,LONG uiTimeout,*CSTRING strUserName,|
  *CSTRING strCommand),LONG,PASCAL,RAW,NAME('RlibRemoteCommandA')
  RlibRemoteLogin(*CSTRING strHostName,LONG uiPort,LONG uiTimeout,*CSTRING strUserName,*CSTRING strTermType),LONG,PASCAL,RAW,NAME('RlibRemoteLoginA')

 **END**
 OMIT('**END**',_WIDTH32_)

  RlibSetLastError(SHORT liErrorCode),PASCAL
  RlibGetLastError(),SHORT,PASCAL,RAW
  RlibDisconnect(SHORT hClient),SHORT,PASCAL,RAW
  RlibRead(SHORT hClient,*CSTRING strBuffer,SHORT liMaxBufferSize),SHORT,PASCAL,RAW
  RlibWrite(SHORT hClient,*CSTRING strBuffer,SHORT liMaxBufferSize),SHORT,PASCAL,RAW
  RlibAsyncNotify(SHORT hClient,SHORT hWnd,LONG uiMessageId),SHORT,PASCAL,RAW
  RlibGetTimeout(SHORT hClient),SHORT,PASCAL,RAW
  RlibSetTimeout(SHORT hClient,SHORT Timeout),SHORT,PASCAL,RAW
  RlibGetSocket(SHORT hClient),SHORT,PASCAL,RAW
  RlibUninitialize(),PASCAL
  RlibInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW
  RlibGetErrorString(SHORT iErrorCode,*CSTRING strErrorMsg,SHORT iMaxErrorMsgSize),SHORT,PASCAL,RAW
  RlibRemoteExecute(*CSTRING strHostName,LONG uiPort,LONG uiTimeout,*CSTRING strUserName,*CSTRING strPassword,*CSTRING strCommand),SHORT,PASCAL,RAW
  RlibRemoteCommand(*CSTRING strHostName,LONG uiPort,LONG uiTimeout,*CSTRING strUserName,*CSTRING strCommand),SHORT,PASCAL,RAW
  RlibRemoteLogin(*CSTRING strHostName,LONG uiPort,LONG uiTimeout,*CSTRING strUserName,*CSTRING strTermType),SHORT,PASCAL,RAW

 **END**
 END !MODULE

!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * Simple Mail Transfer Protocol (SMTP) client libraries
! * CSMTPL16.DLL and CSMTPL32.DLL
! *
! ************************************************************************/

SECTION('SMTP')

 MODULE('CSMTPL')

 COMPILE('**END**',_WIDTH32_)

  SmtpDisconnect(ULONG),SIGNED,PASCAL,RAW,NAME('SMTPDisconnect')
  SmtpAsyncNotify(LONG hClient,LONG hWnd,LONG),LONG,PASCAL,RAW
  SmtpSetLastError(LONG liErrorCode),PASCAL
  SMTPGetLastError(),SIGNED,PASCAL,NAME('SMTPGetLastError')
  SmtpGetSocket(LONG hClient),LONG,PASCAL,RAW
  SmtpGetResultCode(LONG hClient),LONG,PASCAL,RAW
  SmtpGetTimeout(LONG hClient),LONG,PASCAL,RAW
  SmtpSetTimeout(LONG hClient,LONG liTimeout),LONG,PASCAL,RAW
  SmtpIsBlocking(LONG hClient),SHORT,PASCAL,RAW
  SmtpCancel(LONG hClient),LONG,PASCAL,RAW
  SmtpReset(LONG hClient),LONG,PASCAL,RAW
  SMTPWrite(ULONG,*CSTRING,LONG),SIGNED,PASCAL,RAW,PROC,NAME('SMTPWrite')
  SMTPEndMessage(ULONG),SIGNED,PASCAL,PROC,NAME('SMTPEndMessage')
  SmtpUninitialize,PASCAL,NAME('SMTPUninitialize')
  SmtpInitialize(<*CSTRING>,ULONG=0),SIGNED,PASCAL,RAW,NAME('SmtpInitializeA')
  SmtpAsyncConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout,LONG hWnd,LONG uiMessageId),LONG,PASCAL,RAW,NAME('SmtpAsyncConnectA')
  SMTPConnect(*CSTRING,UNSIGNED=0,UNSIGNED),ULONG,PASCAL,RAW,NAME('SMTPConnectA')
  SMTPGetErrorString(SIGNED,*CSTRING,SIGNED),SIGNED,PASCAL,RAW,PROC,NAME('SMTPGetErrorStringA')
  SmtpCommand(LONG hClient,*CSTRING strCommand,<*CSTRING strParameter>),LONG,PASCAL,RAW,NAME('SmtpCommandA')
  SMTPHello(ULONG,*CSTRING),SIGNED,PASCAL,RAW,PROC,NAME('SMTPHelloA')
  SmtpExpandAddress(LONG hClient,*CSTRING strMailingList,*CSTRING strAddresses,LONG liMaxAddressSize),LONG,PASCAL,RAW,NAME('SmtpExpandAddressA')
  SmtpVerifyAddress(LONG hClient,*CSTRING strAddress,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW,NAME('SmtpVerifyAddressA')
  SMTPBeginMessage(ULONG,*CSTRING),SIGNED,PASCAL,RAW,PROC,NAME('SMTPBeginMessageA')
  SMTPAddRecipient(ULONG,*CSTRING),SIGNED,PASCAL,RAW,PROC,NAME('SMTPAddRecipientA') 
  SmtpGetCurrentDate(*CSTRING strDate,LONG liMaxDateSize),LONG,PASCAL,RAW,NAME('SmtpGetCurrentDateA')

 **END**
 OMIT('**END**',_WIDTH32_)

  SmtpDisconnect(SHORT hClient),SHORT,PASCAL,RAW
  SmtpAsyncNotify(SHORT hClient,SHORT hWnd,LONG uiMessageId),SHORT,PASCAL,RAW
  SmtpSetLastError(SHORT iErrorCode),PASCAL
  SmtpGetLastError(),SHORT,PASCAL,RAW
  SmtpGetSocket(SHORT hClient),SHORT,PASCAL,RAW
  SmtpGetResultCode(SHORT hClient),SHORT,PASCAL,RAW
  SmtpGetTimeout(SHORT hClient),SHORT,PASCAL,RAW
  SmtpSetTimeout(SHORT hClient,SHORT iTimeout),SHORT,PASCAL,RAW
  SmtpIsBlocking(SHORT hClient),SHORT,PASCAL,RAW
  SmtpCancel(SHORT hClient),SHORT,PASCAL,RAW
  SmtpReset(SHORT hClient),SHORT,PASCAL,RAW
  SmtpWrite(SHORT hClient,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  SmtpEndMessage(SHORT hClient),SHORT,PASCAL,RAW
  SmtpUninitialize(),PASCAL
  SmtpInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW
  SmtpAsyncConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout,SHORT hWnd,LONG uiMessageId),SHORT,PASCAL,RAW
  SmtpConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout),SHORT,PASCAL,RAW
  SmtpGetErrorString(SHORT iErrorCode,*CSTRING strErrorMsg,SHORT iMaxErrorMsgSize),SHORT,PASCAL,RAW
  SmtpCommand(SHORT hClient,*CSTRING strCommand,<*CSTRING strParameter>),SHORT,PASCAL,RAW
  SmtpGetResultString(SHORT hClient,*CSTRING strResult,SHORT iMaxResultSize),SHORT,PASCAL,RAW
  SmtpHello(SHORT hClient,*CSTRING strDomain),SHORT,PASCAL,RAW
  SmtpExpandAddress(SHORT hClient,*CSTRING strMailingList,*CSTRING strAddresses,SHORT iMaxAddressSize),SHORT,PASCAL,RAW
  SmtpVerifyAddress(SHORT hClient,*CSTRING strAddress,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  SmtpBeginMessage(SHORT hClient,*CSTRING strSender),SHORT,PASCAL,RAW
  SmtpAddRecipient(SHORT hClient,*CSTRING strRecipient),SHORT,PASCAL,RAW
  SmtpGetCurrentDate(*CSTRING strDate,SHORT iMaxDateSize),SHORT,PASCAL,RAW

 **END**
 END !MODULE


!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * Telnet client libraries CSTNTL16.DLL and CSTNTL32.DLL
! *
! ************************************************************************/

SECTION('TELNET')

 MODULE('CSMTPL')

 COMPILE('**END**',_WIDTH32_)

  TelnetDisconnect(LONG hClient),SHORT,PASCAL,RAW
  TelnetCancel(LONG hClient),SHORT,PASCAL,RAW
  TelnetAsyncNotify(LONG hClient,LONG hWnd,LONG uiMessageId),SHORT,PASCAL,RAW
  TelnetRead(LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW
  TelnetWrite(LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW
  TelnetBreak(LONG hClient),SHORT,PASCAL,RAW
  TelnetIsThere(LONG hClient),SHORT,PASCAL,RAW
  TelnetIsBlocking(LONG hClient),SHORT,PASCAL,RAW
  TelnetGetMode(LONG hClient),LONG,PASCAL,RAW
  TelnetSetMode(LONG hClient,LONG uiMode,SHORT),LONG,PASCAL,RAW
  TelnetGetTimeout(LONG hClient),LONG,PASCAL,RAW
  TelnetSetTimeout(LONG hClient,LONG liTimeout),LONG,PASCAL,RAW
  TelnetSetLastError(LONG liErrorCode),PASCAL
  TelnetGetLastError(),LONG,PASCAL,RAW
  TelnetGetSocket(LONG hClient),LONG,PASCAL,RAW
  TelnetUninitialize(),LONG
  TelnetInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW,NAME('TelnetInitializeA')
  TelnetAsyncConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout,LONG hWnd,LONG),LONG,PASCAL,RAW,NAME('TelnetAsyncConnectA')
  TelnetConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout),LONG,PASCAL,RAW,NAME('TelnetConnectA')
  TelnetSetTerminalType(LONG hClient,*CSTRING strTermType),LONG,PASCAL,RAW,NAME('TelnetSetTerminalTypeA') 
  TelnetGetTerminalType(LONG hClient,*CSTRING strTermType,LONG liMaxTermSize),LONG,PASCAL,RAW,NAME('TelnetGetTerminalTypeA')
  TelnetGetErrorStringA(LONG liErrorCode,*CSTRING strErrorMsg,LONG liMaxErrorMsgSize),LONG,PASCAL,RAW

 **END**
 OMIT('**END**',_WIDTH32_)

  TelnetDisconnect(SHORT hClient),SHORT,PASCAL,RAW
  TelnetCancel(SHORT hClient),SHORT,PASCAL,RAW
  TelnetAsyncNotify(SHORT hClient,SHORT hWnd,LONG uiMessageId),SHORT,PASCAL,RAW
  TelnetRead(SHORT hClient,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  TelnetWrite(SHORT hClient,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  TelnetBreak(SHORT hClient),SHORT,PASCAL,RAW
  TelnetIsThere(SHORT hClient),SHORT,PASCAL,RAW
  TelnetIsBlocking(SHORT hClient),SHORT,PASCAL,RAW
  TelnetGetMode(SHORT hClient),LONG,PASCAL,RAW
  TelnetSetMode(SHORT hClient,LONG uiMode,SHORT bEnabled),LONG,PASCAL,RAW
  TelnetGetTimeout(SHORT hClient),SHORT,PASCAL,RAW
  TelnetSetTimeout(SHORT hClient,SHORT iTimeout),SHORT,PASCAL,RAW
  TelnetSetLastError(SHORT iErrorCode),PASCAL
  TelnetGetLastError(),SHORT,PASCAL,RAW
  TelnetGetSocket(SHORT hClient),SHORT,PASCAL,RAW
  TelnetUninitialize(),PASCAL
  TelnetInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW
  TelnetAsyncConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout,SHORT hWnd,LONG uiMessageId),SHORT,PASCAL,RAW
  TelnetConnect(*CSTRING strHostName,LONG uiPort,LONG uiTimeout),SHORT,PASCAL,RAW
  TelnetSetTerminalType(SHORT hClient,*CSTRING strTermType),SHORT,PASCAL,RAW
  TelnetGetTerminalType(SHORT hClient,*CSTRING strTermType,SHORT iMaxTermSize),SHORT,PASCAL,RAW
  TelnetGetErrorString(SHORT iErrorCode,*CSTRING strErrorMsg,SHORT iMaxErrorMsgSize),SHORT,PASCAL,RAW

 **END**
 END !MODULE

!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * Telnet virtual terminal libraries CSNVTL16.DLL and CSNVTL32.DLL
! *
! ************************************************************************/

SECTION('TELNETVT')

 MODULE('CSNVTL')

 COMPILE('**END**',_WIDTH32_)

  NvtCreateDisplay(LONG hWnd,LONG hFont,LONG uiEmulation,LONG uiColumns,LONG uiRows),LONG,PASCAL,RAW
  NvtDestroyDisplay(LONG hDisplay)
  NvtResetDisplay(LONG hDisplay,LONG hWnd,LONG hFont,LONG uiColumns,LONG uiRows),SHORT,PASCAL,RAW
  NvtSetDisplayWindow(LONG hDisplay,LONG hWnd),SHORT,PASCAL,RAW
  NvtGetDisplayWindow(LONG hDisplay),LONG,PASCAL,RAW
  NvtSetDisplayDC(LONG hDisplay,LONG hDC),SHORT,PASCAL,RAW
  NvtGetDisplayDC(LONG hDisplay),LONG,PASCAL,RAW
  NvtSetDisplayEmulation(LONG hDisplay,LONG uiEmulation),SHORT,PASCAL,RAW
  NvtGetDisplayEmulation(LONG hDisplay),LONG,PASCAL,RAW
  NvtSetDisplayFocus(LONG hDisplay,SHORT bFocus),SHORT,PASCAL,RAW
  NvtSetDisplayFont(LONG hDisplay, LONG hFont),SHORT,PASCAL,RAW
  NvtGetDisplayFont(LONG hDisplay),LONG,PASCAL,RAW
  NvtSetDisplayBackColor(LONG hDisplay, LONG liColorRef),SHORT,PASCAL,RAW
  NvtSetDisplayBoldColor(LONG hDisplay, LONG liColorRef),SHORT,PASCAL,RAW
  NvtSetDisplayForeColor(LONG hDisplay, LONG liColorRef),SHORT,PASCAL,RAW
  NvtSetDisplayColor(LONG hDisplay,LONG uiColorIndex, LONG liColorRef,SHORT bForeground),SHORT,PASCAL,RAW
  NvtGetDisplayColor(LONG hDisplay,LONG uiColorIndex,BOOL bForeground),LONG,PASCAL,RAW
  NvtGetDisplayRect(LONG hDisplay, LONG),SHORT,PASCAL,RAW
  NvtSetDisplayMode(LONG hDisplay,LONG uiMode,SHORT bEnable),SHORT,PASCAL,RAW
  NvtGetDisplayMode(LONG hDisplay),LONG,PASCAL,RAW
  NvtSetDisplayScrollPos(LONG hDisplay,LONG liScrollBar,LONG liPosition),SHORT,PASCAL,RAW
  NvtGetDisplayScrollPos(LONG hDisplay,LONG liScrollBar),LONG,PASCAL,RAW
  NvtGetDisplayInfo(LONG hDisplay,*NVTDISPLAYINFO),SHORT,PASCAL,RAW
  NvtSetCursorPos(LONG hDisplay, LONG,LONG),BOOL,PASCAL
  NvtGetCursorPos(LONG hDisplay, *LONG,*LONG),BOOL,PASCAL
  NvtClearDisplay(LONG hDisplay,LONG uiMode),SHORT,PASCAL,RAW
  NvtEraseLine(LONG hDisplay,LONG uiMode),SHORT,PASCAL,RAW
  NvtInsertLine(LONG hDisplay),SHORT,PASCAL,RAW
  NvtDeleteLine(LONG hDisplay),SHORT,PASCAL,RAW
  NvtDeleteChar(LONG hDisplay,LONG liChars),SHORT,PASCAL,RAW
  NvtInsertChar(LONG hDisplay,LONG liChars),SHORT,PASCAL,RAW
  NvtEraseChar(LONG hDisplay,LONG liChars),SHORT,PASCAL,RAW
  NvtSaveCursor(LONG hDisplay),SHORT,PASCAL,RAW
  NvtRestoreCursor(LONG hDisplay),SHORT,PASCAL,RAW
  NvtResizeDisplay(LONG hDisplay,LONG liWidth,LONG liHeight),SHORT,PASCAL,RAW
  NvtRefreshDisplay(LONG hDisplay,SHORT bUpdate),SHORT,PASCAL,RAW
  NvtScrollDisplay(LONG hDisplay,SHORT bScrollUp),SHORT,PASCAL,RAW
  NvtAdjustDisplay(LONG hDisplay),SHORT,PASCAL,RAW
  NvtWriteDisplay(LONG hDisplay,*CSTRING strBuffer,LONG liMaxBufferSize),SHORT,PASCAL,RAW
  NvtUpdateCaret(LONG hDisplay),SHORT,PASCAL,RAW
  NvtUpdateDisplay(LONG hDisplay),SHORT,PASCAL,RAW
  NvtUninitialize(),PASCAL
  NvtInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW,NAME('NvtInitializeA')
  NvtGetDisplayText(LONG hDisplay,LONG liOffset,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW,NAME('NvtGetDisplayTextA')

 **END**
 OMIT('**END**',_WIDTH32_)

  NvtCreateDisplay(SHORT hWnd,SHORT hFont,LONG uiEmulation,LONG uiColumns,LONG uiRows),SHORT,PASCAL,RAW
  NvtDestroyDisplay(SHORT hDisplay),PASCAL
  NvtResetDisplay(SHORT hDisplay,SHORT hWnd, SHORT hFont,LONG uiColumns,LONG uiRows),SHORT,PASCAL,RAW
  NvtSetDisplayWindow(SHORT hDisplay,SHORT hWnd),SHORT,PASCAL,RAW
  NvtGetDisplayWindow(SHORT hDisplay),SHORT,PASCAL,RAW
  NvtSetDisplayDC(SHORT hDisplay, SHORT hDC),SHORT,PASCAL,RAW
  NvtGetDisplayDC(SHORT hDisplay),SHORT,PASCAL,RAW
  NvtSetDisplayEmulation(SHORT hDisplay,LONG uiEmulation),SHORT,PASCAL,RAW
  NvtGetDisplayEmulation(SHORT hDisplay),LONG,PASCAL,RAW
  NvtSetDisplayFocus(SHORT hDisplay,SHORT bFocus),SHORT,PASCAL,RAW
  NvtSetDisplayFont(SHORT hDisplay, SHORT hFont),SHORT,PASCAL,RAW
  NvtGetDisplayFont(SHORT hDisplay),SHORT,PASCAL,RAW
  NvtSetDisplayBackColor(SHORT hDisplay, SHORT iColorRef),SHORT,PASCAL,RAW
  NvtSetDisplayBoldColor(SHORT hDisplay, SHORT iColorRef),SHORT,PASCAL,RAW
  NvtSetDisplayForeColor(SHORT hDisplay, SHORT iColorRef),SHORT,PASCAL,RAW
  NvtSetDisplayColor(SHORT hDisplay, LONG uiColorIndex,SHORT liColorRef,SHORT bForeground),SHORT,PASCAL,RAW
  NvtGetDisplayColor(SHORT hDisplay, LONG uiColorIndex,SHORT bForeground),LONG,PASCAL,RAW
  NvtGetDisplayRect(SHORT hDisplay, LONG),SHORT,PASCAL,RAW
  NvtSetDisplayMode(SHORT hDisplay,LONG uiMode,SHORT bEnable),SHORT,PASCAL,RAW
  NvtGetDisplayMode(SHORT hDisplay),LONG,PASCAL,RAW
  NvtSetDisplayScrollPos(SHORT hDisplay,SHORT iScrollBar,SHORT iPosition),SHORT,PASCAL,RAW
  NvtGetDisplayScrollPos(SHORT hDisplay,SHORT iScrollBar),SHORT,PASCAL,RAW
  NvtGetDisplayInfo(SHORT hDisplay,*NVTDISPLAYINFO),SHORT,PASCAL,RAW
  NvtSetCursorPos(SHORT hDisplay,SHORT,SHORT),SHORT,PASCAL,RAW
  NvtGetCursorPos(SHORT hDisplay,SHORT,*SHORT),SHORT,PASCAL,RAW
  NvtClearDisplay(SHORT hDisplay,LONG uiMode),SHORT,PASCAL,RAW
  NvtEraseLine(SHORT hDisplay,LONG uiMode),SHORT,PASCAL,RAW
  NvtInsertLine(SHORT hDisplay),SHORT,PASCAL,RAW
  NvtDeleteLine(SHORT hDisplay),SHORT,PASCAL,RAW
  NvtDeleteChar(SHORT hDisplay, SHORT iChars),SHORT,PASCAL,RAW
  NvtInsertChar(SHORT hDisplay, SHORT iChars),SHORT,PASCAL,RAW
  NvtEraseChar(SHORT hDisplay, SHORT iChars),SHORT,PASCAL,RAW
  NvtSaveCursor(SHORT hDisplay),SHORT,PASCAL,RAW
  NvtRestoreCursor(SHORT hDisplay),SHORT,PASCAL,RAW
  NvtResizeDisplay(SHORT hDisplay,SHORT iWidth,SHORT iHeight),SHORT,PASCAL,RAW
  NvtRefreshDisplay(SHORT hDisplay,SHORT bUpdate),SHORT,PASCAL,RAW
  NvtScrollDisplay(SHORT hDisplay,SHORT bScrollUp),SHORT,PASCAL,RAW
  NvtAdjustDisplay(SHORT hDisplay),SHORT,PASCAL,RAW
  NvtWriteDisplay(SHORT hDisplay,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  NvtUpdateCaret(SHORT hDisplay),SHORT,PASCAL,RAW
  NvtUpdateDisplay(SHORT hDisplay),SHORT,PASCAL,RAW
  NvtUninitialize(),PASCAL
  NvtInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW
  NvtGetDisplayText(SHORT hDisplay,SHORT iOffset,*CSTRING strBuffer,SHOR iMaxBufferSize),SHORT,PASCAL,RAW

 **END**
 END !MODULE

!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * Network Time Protocol client libraries CSTIML16.DLL and
! * CSTIML32.DLL
! *
! ************************************************************************/

SECTION('NETTIME')

 MODULE('CSTIML')

 COMPILE('**END**',_WIDTH32_)

  ReadNetworkTime(LONG liSocket),LONG,PASCAL,RAW
  ConvertNetworkTime(LONG dwNetworkTime,SHORT bLocalTime,*SYSTEMTIME udtSystemTime),SHORT,PASCAL,RAW
  ConvertSystemTime(*SYSTEMTIME udtSystemTime),LONG,PASCAL,RAW
  UpdateLocalTime(LONG dwNetworkTime),SHORT,PASCAL,RAW
  TimeUninitialize(),PASCAL
  TimeInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW,NAME('TimeInitializeA')
  QueryNetworkTime(*CSTRING strHostName,LONG uiPort,LONG hWnd,LONG uiMessageId),LONG,PASCAL,RAW,NAME('QueryNetworkTimeA')
  GetNetworkTime(*CSTRING strHostName,LONG uiPort,LONG uiTimeout),LONG,PASCAL,RAW,NAME('GetNetworkTimeA')

 **END**
 OMIT('**END**',_WIDTH32_)

  ReadNetworkTime(SHORT iSocket),SHORT,PASCAL,RAW
  ConvertNetworkTime(LONG dwNetworkTime,SHORT,*SYSTEMTIME),SHORT,PASCAL,RAW
  ConvertSystemTime(*SYSTEMTIME),LONG,PASCAL,RAW
  UpdateLocalTime(LONG dwNetworkTime),SHORT,PASCAL,RAW
  TimeUninitialize(),PASCAL
  TimeInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW
  QueryNetworkTime(*CSTRING strHostName,LONG uiPort,SHORT hWnd,LONG uiMessageId),SHORT,PASCAL,RAW
  GetNetworkTime(*CSTRING strHostName,LONG uiPort,LONG uiTimeout),LONG,PASCAL,RAW

 **END**
 END !MODULE

!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * encoding and decoding libraries UUCODE16.DLL and UUCODE32.DLL
! *
! ************************************************************************/

SECTION('UUCODE')

 MODULE('UUCODE')

 COMPILE('**END**',_WIDTH32_)

  DecodeFile(*CSTRING strInputFile,*CSTRING strOutputFile),SHORT,PASCAL,RAW,NAME('DecodeFileA') 
  EncodeFile(*CSTRING strInputFile,*CSTRING strOutputFile),SHORT,PASCAL,RAW,NAME('EncodeFileA')
  DecodeBase64File(*CSTRING strInputFile,*CSTRING strOutputFile),SHORT,PASCAL,RAW,NAME('DecodeBase64FileA') 
  EncodeBase64File(*CSTRING strInputFile,*CSTRING strOutputFile),SHORT,PASCAL,RAW,NAME('EncodeBase64FileA')
  DecodeQuotedFile(*CSTRING strInputFile,*CSTRING strOutputFile),SHORT,PASCAL,RAW,NAME('DecodeQuotedFileA') 

 **END**
 OMIT('**END**',_WIDTH32_)

  DecodeFile(*CSTRING strInputFile,*CSTRING strOutputFile),SHORT,PASCAL,RAW
  EncodeFile(*CSTRING strInputFile,*CSTRING strOutputFile),SHORT,PASCAL,RAW
  DecodeBase64File(*CSTRING strInputFile,*CSTRING strOutputFile),SHORT,PASCAL,RAW
  EncodeBase64File(*CSTRING strInputFile,*CSTRING strOutputFile),SHORT,PASCAL,RAW
  DecodeQuotedFile(*CSTRING strInputFile,*CSTRING strOutputFile),SHORT,PASCAL,RAW

 **END**
 END !MODULE

!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * Whois client libraries CSWHOL16.DLL and CSWHOL32.DLL
! *
! ************************************************************************/

SECTION('WHOIS')

 MODULE('CSWHOL')

 COMPILE('**END**',_WIDTH32_)

  WhoisDisconnect(LONG hClient),LONG,PASCAL,RAW
  WhoisAsyncNotify(LONG hClient,LONG hWnd,LONG uiMessageId),LONG,PASCAL,RAW
  WhoisRead(LONG hClient,*CSTRING strBuffer,LONG liMaxBufferSize),LONG,PASCAL,RAW
  WhoisCancel(LONG hClient),LONG,PASCAL,RAW
  WhoisGetTimeout(LONG hClient),LONG,PASCAL,RAW
  WhoisSetTimeout(LONG hClient,LONG liTimeout),LONG,PASCAL,RAW
  WhoisIsBlocking(LONG hClient),SHORT,PASCAL,RAW
  WhoisSetLastError(LONG liErrorCode)
  WhoisGetLastError(),LONG,PASCAL,RAW
  WhoisGetSocket(LONG hClient),LONG,PASCAL,RAW
  WhoisUninitialize(),PASCAL
  WhoisInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW,NAME('WhoisInitializeA')
  WhoisAsyncConnect(*CSTRING strHostAddress,LONG liPort,LONG liTimeout,LONG hWnd,LONG liMessageId),|
  LONG,PASCAL,RAW,NAME('WhoisAsyncConnectA')
  WhoisConnect(*CSTRING strHostAddress,LONG liPort,LONG liTimeout),LONG,PASCAL,RAW,NAME('WhoisConnectA')
  WhoisSearch(LONG hClient,*CSTRING strKeyWord,LONG liIdType),LONG,PASCAL,RAW,NAME('WhoisSearchA') 
  WhoisGetErrorString(LONG liErrorCode,*CSTRING strErrorMsg,LONG liMaxErrorMsgSize),LONG,PASCAL,RAW,NAME('WhoisGetErrorStringA')

 **END**
 OMIT('**END**',_WIDTH32_)

  WhoisDisconnect(SHORT hClient),SHORT,PASCAL,RAW
  WhoisAsyncNotify(SHORT hClient,SHORT hWnd,LONG uiMessageId),SHORT,PASCAL,RAW
  WhoisRead(SHORT hClient,*CSTRING strBuffer,SHORT iMaxBufferSize),SHORT,PASCAL,RAW
  WhoisCancel(SHORT hClient),SHORT,PASCAL,RAW
  WhoisGetTimeout(SHORT hClient),SHORT,PASCAL,RAW
  WhoisSetTimeout(SHORT hClient,SHORT uiTimeout),SHORT,PASCAL,RAW
  WhoisIsBlocking(SHORT hClient),SHORT,PASCAL,RAW
  WhoisSetLastError(SHORT iErrorCode)
  WhoisGetLastError(),SHORT,PASCAL,RAW
  WhoisGetSocket(SHORT hClient),SHORT,PASCAL,RAW
  WhoisUninitialize(),PASCAL
  WhoisInitialize(*CSTRING strLicenseKey,LONG dwReserved),SHORT,PASCAL,RAW
  WhoisAsyncConnect(*CSTRING strHostAddress,LONG liPort,LONG liTimeout,SHORT hWnd,LONG liMessageId),SHORT,PASCAL,RAW
  WhoisConnect(*CSTRING strHostAddress,LONG liPort,LONG liTimeout),SHORT,PASCAL,RAW
  WhoisSearch(LONG hClient,*CSTRING strKeyWord,LONG liIdType),SHORT,PASCAL,RAW
  WhoisGetErrorString(SHORT iErrorCode,*CSTRING strErrorMsg,SHORT iMaxErrorMsgSize),SHORT,PASCAL,RAW

 **END**
 END !MODULE

!/*************************************************************************
! *
! * This section contains the prototypes for the SocketTools
! * HyperText Transfer Protocol (HTTP) client libraries cshtp16.DLL
! * and cshtp32.dll
! *
! *************************************************************************/

SECTION ('HTTP')

 MODULE('CSHTP')

 COMPILE('**END**',_WIDTH32_)

  HTTPDisconnect(LONG),SIGNED,PASCAL,PROC,NAME('HTTPDisconnect')
  HttpGetLastError(), LONG, PASCAL
  HttpCancel(LONG hClient),LONG, PASCAL
  HttpCloseFile(LONG hClient), LONG, PASCAL
  HttpDisableEvents(LONG hClient), LONG, PASCAL
  HttpEnableEvents(LONG hClient,LONG hWnd, LONG), LONG, PASCAL
  HttpFlush(LONG hClient),LONG, PASCAL
  HttpFreezeEvents(LONG hClient, SHORT), LONG, PASCAL
  HttpGetBytesCopied(LONG hClient,*LONG),LONG, PASCAL
  HttpGetResultCode(LONG hClient), LONG, PASCAL
  HttpGetSocket(LONG hClient),LONG, PASCAL
  HttpGetTimeout(LONG hClient), LONG, PASCAL
  HttpGetTransferTime(LONG hClient),LONG,RAW, PASCAL
  HttpIsBlocking(LONG hClient),SHORT, PASCAL
  HttpIsConnected(LONG hClient), SHORT, PASCAL
  HttpIsReadable(LONG hClient, *LONG), SHORT, PASCAL
  HttpIsWritable(LONG hClient), SHORT, PASCAL
  HttpRead(LONG hClient, *CSTRING, LONG), LONG, PASCAL,RAW
  HttpRegisterEvent(LONG hClient, LONG,LONG,LONG),LONG, PASCAL
  HttpSetLastError(LONG),RAW,PASCAL
  HttpSetTimeout(LONG hClient, LONG), LONG, PASCAL
  HTTPUninitialize,PASCAL,NAME('HTTPUninitialize')
  HttpWrite(LONG hClient, *CSTRING, LONG), LONG, PASCAL,RAW
  HTTPInitialize(<*CSTRING>,UNSIGNED=0),SIGNED,PASCAL,RAW,PROC,NAME('HTTPInitializeA')
  HttpAsyncConnect(*CSTRING, LONG, LONG, LONG, LONG,LONG HWND, LONG), LONG, PASCAL,RAW, NAME('HttpAsyncConnectA')
  HttpAuthenticate(LONG hClient, LONG, *CSTRING, *CSTRING), LONG, PASCAL, RAW, NAME('HttpAuthenticateA')
  HttpConnect(*CSTRING,UNSIGNED,UNSIGNED,ULONG=0,ULONG=0),LONG,PASCAL,RAW,NAME('HTTPConnectA')
  HttpCreateFile(LONG hClient, *CSTRING, LONG, LONG), LONG, PASCAL, RAW, NAME('HttpCreateFileA')
  HttpDeleteFile(LONG hClient, *CSTRING), LONG, PASCAL, RAW, NAME('HttpDeleteFileA')
  HttpGetErrorString(LONG hClient, *CSTRING, LONG), LONG, PASCAL, RAW, NAME('HttpGetErrorStringA')
  HTTPGetFile(LONG,*CSTRING,*CSTRING),SIGNED,PASCAL,RAW,PROC,NAME('HTTPGetFileA')
  HttpGetFileLength(LONG hClient, *CSTRING, LONG), LONG, PASCAL, RAW, NAME('HttpGetFileLengthA')
  HttpGetRequestHeader(LONG hClient, *CSTRING, *CSTRING, LONG), LONG, PASCAL, RAW, NAME('HttpGetRequestHeaderA')
  HttpGetResponseHeader(LONG hClient, *CSTRING, *CSTRING, LONG), LONG, PASCAL, RAW, NAME('HttpGetResponseHeaderA')
  HttpGetResultString(LONG,*CSTRING,LONG),LONG,PASCAL,RAW,NAME('HttpGetResultStringA')
  HTTPOpenFile(LONG,*CSTRING,ULONG=0),SIGNED,PASCAL,RAW,NAME('HTTPOpenFileA')
  HttpPutFile(LONG,*CSTRING,*CSTRING),LONG,PASCAL,RAW,NAME('HttpPutFileA')
  HttpSendRequest(LONG,LONG,*CSTRING,*CSTRING),LONG,PASCAL,RAW,NAME('HttpSendRequestA')
  HttpSetRequestHeader(LONG,*CSTRING,*CSTRING),LONG,PASCAL,RAW,NAME('HttpSetRequestHeaderA')
  HttpSubmitQuery(LONG,*CSTRING,*CSTRING,LONG),LONG,PASCAL,RAW,NAME('HttpSubmitQueryA')

 **END**
 OMIT('**END**',_WIDTH32_)

  HttpDisconnect(SHORT hClient), SHORT, PASCAL
  HttpGetLastError(), SHORT, PASCAL
  HttpCancel(SHORT hClient),SHORT, PASCAL
  HttpCloseFile(SHORT hClient), SHORT, PASCAL
  HttpDisableEvents(SHORT hClient), SHORT, PASCAL
  HttpEnableEvents(SHORT hClient,SHORT hWnd,SHORT), SHORT, PASCAL
  HttpFlush(SHORT hClient),SHORT, PASCAL
  HttpFreezeEvents(SHORT hClient, SHORT), SHORT, PASCAL
  HttpGetBytesCopied(SHORT hClient,*SHORT),SHORT, PASCAL
  HttpGetResultCode(SHORT hClient), SHORT, PASCAL
  HttpGetSocket(SHORT hClient),SHORT, PASCAL
  HttpGetTimeout(SHORT hClient), SHORT, PASCAL
  HttpGetTransferTime(SHORT hClient), ulong, RAW, PASCAL
  HttpIsBlocking(SHORT hClient),SHORT, PASCAL
  HttpIsConnected(SHORT hClient), SHORT, PASCAL
  HttpIsReadable(SHORT hClient, *LONG), SHORT, PASCAL
  HttpIsWritable(SHORT hClient), SHORT, PASCAL
  HttpRead(SHORT hClient, *CSTRING, SHORT), SHORT, PASCAL,RAW
  HttpRegisterEvent(SHORT hClient, SHORT,LONG,LONG),SHORT, PASCAL
  HttpSetLastError(SHORT),RAW,PASCAL
  HttpSetTimeout(SHORT hClient, SHORT), SHORT, PASCAL
  HttpUninitialize(), RAW, PASCAL
  HttpWrite(SHORT hClient, *CSTRING, SHORT), SHORT, PASCAL,RAW
  HttpInitialize(*CSTRING,LONG),SHORT,RAW,PASCAL,RAW
  HttpAsyncConnect(*CSTRING,SHORT, SHORT, LONG, LONG,SHORT HWND, SHORT), SHORT, PASCAL,RAW
  HttpAuthenticate(SHORT hClient, SHORT, *CSTRING, *CSTRING), SHORT, PASCAL,RAW
  HttpConnect(*CSTRING, SHORT, SHORT, LONG, LONG), SHORT, PASCAL,RAW
  HttpCreateFile(SHORT hClient, *CSTRING, LONG, LONG), SHORT, PASCAL,RAW
  HttpDeleteFile(SHORT hClient, *CSTRING), SHORT, PASCAL,RAW
  HttpGetErrorString(SHORT hClient, *CSTRING, SHORT), SHORT, PASCAL,RAW
  HttpGetFile(SHORT hClient, *CSTRING, *CSTRING), SHORT, PASCAL,RAW
  HttpGetFileLength(SHORT hClient, *CSTRING, LONG), SHORT, PASCAL,RAW
  HttpGetRequestHeader(SHORT hClient, *CSTRING, *CSTRING, SHORT), SHORT, PASCAL,RAW
  HttpGetResponseHeader(SHORT hClient, *CSTRING, *CSTRING, SHORT), SHORT, PASCAL,RAW
  HttpGetResultString(SHORT hClient, *CSTRING, SHORT), SHORT, PASCAL,RAW
  HttpOpenFile(SHORT hClient, *CSTRING, LONG), SHORT, PASCAL,RAW
  HttpPutFile(SHORT hClient, *CSTRING, *CSTRING), SHORT, PASCAL,RAW
  HttpSendRequest(SHORT hClient, SHORT, *CSTRING, *CSTRING), SHORT, PASCAL,RAW
  HttpSetRequestHeader(SHORT hClient, *CSTRING, *CSTRING), SHORT, PASCAL,RAW
  HttpSubmitQuery(SHORT hClient, *CSTRING, *CSTRING, LONG), SHORT, PASCAL,RAW

 **END**
 END !MODULE


!/*************************************************************************
! *
! * This section contains the prototypes for the SocketWrench
! * libraries CSTCPL16.DLL and CSTCPL32.DLL
! *
! ************************************************************************/

SECTION ('SOCKET WRENCH')

 MODULE('CSTCPL')

 COMPILE('**END**',_WIDTH32_)

  InetAccept(LONG hSocket, LONG nTimeout),LONG,PASCAL,RAW
  InetAsyncAccept(LONG hSocket, LONG nTimeout, LONG hWnd, LONG uMsg),LONG,PASCAL,RAW
  InetAsyncConnect(*CSTRING strRemoteHost, LONG nRemotePort, LONG nProtocol, LONG nTimeout, |
  LONG hAsyncWnd, LONG nAsyncMsg),LONG,PASCAL,RAW,NAME('InetAsyncConnectA')
  InetAsyncConnectEx(*CSTRING strRemoteHost, LONG nRemotePort, LONG nProtocol, LONG nTimeout, |
  LONG dwLocalAddress, LONG nLocalPort, LONG hAsyncWnd, LONG nAsyncMsg),LONG,PASCAL,RAW,NAME('InetAsyncConnectExA')
  InetAsyncListen(LONG dwAddress, LONG nLocalPort, LONG hWnd, LONG uMsg),LONG,PASCAL,RAW
  InetAsyncNotify(LONG hSocket, LONG hWnd, LONG uMsg),LONG,PASCAL,RAW
  InetConnect(*CSTRING strRemoteHost, LONG nRemotePort, LONG nProtocol, LONG nTimeout),LONG,PASCAL,RAW,NAME('InetConnectA') 
  InetConnectEx(*CSTRING strRemoteHost, LONG nRemotePort, LONG nProtocol, LONG nTimeout, |
  LONG dwLocalAddress, LONG nLocalPort),LONG,PASCAL,RAW,NAME('InetConnectExA')
  InetDisconnect(LONG hSocket),LONG,PASCAL,RAW
  InetDisableEvents(LONG hSocket),LONG,PASCAL,RAW
  InetEnableEvents(LONG hSocket, LONG hWnd, LONG uMsg),LONG,PASCAL,RAW
  InetFreezeEvents(LONG hSocket, LONG bFrozen),LONG,PASCAL,RAW
  InetFlush(LONG hSocket),LONG,PASCAL,RAW
  InetFormatAddress(LONG dwAddress, *CSTRING strAddress, LONG cchAddress),PASCAL,RAW,NAME('InetFormatAddressA')
  InetGetErrorString(LONG nError, *CSTRING strError, LONG cbError),LONG,PASCAL,RAW,NAME('InetGetErrorStringA')
  InetGetHostAddress(*CSTRING strHostName),LONG,PASCAL,RAW,NAME('InetGetHostAddressA')
  InetGetHostName(LONG dwAddress, *CSTRING strHostName, LONG cchHostName),LONG,PASCAL,RAW,NAME('InetGetHostNameA')
  InetGetLastError(),LONG,PASCAL,RAW
  InetGetLocalAddress(LONG hSocket, *LONG dwAddress, *LONG nPort),LONG,PASCAL,RAW
  InetGetLocalName(*CSTRING strHostName, LONG cchHostName),LONG,PASCAL,RAW,NAME('InetGetLocalNameA')
  InetGetOption(LONG hSocket, LONG dwOption, *LONG bEnabled),LONG,PASCAL,RAW
  InetGetPeerAddress(LONG hSocket, *LONG dwAddress, *LONG nPort),LONG,PASCAL,RAW
  InetInitialize(*CSTRING lpszLicKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('InetInitializeA')
  InetIsConnected(LONG hSocket),LONG,PASCAL,RAW
  InetIsListening(LONG hSocket),LONG,PASCAL,RAW
  InetIsReadable(LONG hSocket),LONG,PASCAL,RAW
  InetIsWritable(LONG hSocket),LONG,PASCAL,RAW
  InetListen(LONG dwAddress, LONG nLocalPort),LONG,PASCAL,RAW
  InetRead(LONG hSocket, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW
  InetRegisterEvent(LONG hSocket, LONG nEvent, LONG lpfnHandler, LONG dwParam),LONG,PASCAL,RAW
  InetSetLastError(LONG nError),PASCAL
  InetSetOption(LONG hSocket, LONG dwOption, LONG bEnabled),LONG,PASCAL,RAW
  InetUninitialize(),PASCAL
  InetWrite(LONG hSocket, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW

 **END**
 OMIT('**END**',_WIDTH32_)

  InetAccept(SHORT hSocket, SHORT nTimeout),SHORT,PASCAL,RAW
  InetAsyncAccept(SHORT hSocket, SHORT nTimeout, SHORT hWnd, SHORT uMsg),SHORT,PASCAL,RAW
  InetAsyncConnect(*CSTRING strRemoteHost, SHORT nRemotePort, SHORT nProtocol, SHORT nTimeout, |
  SHORT hAsyncWnd, SHORT nAsyncMsg),SHORT,PASCAL,RAW
  InetAsyncConnectEx(*CSTRING strRemoteHost, SHORT nRemotePort, SHORT nProtocol, SHORT nTimeout, |
  LONG dwLocalAddress, SHORT nLocalPort, SHORT hAsyncWnd, SHORT nAsyncMsg),SHORT,PASCAL,RAW
  InetAsyncListen(LONG dwAddress, SHORT nLocalPort, SHORT hWnd, SHORT uMsg),SHORT,PASCAL,RAW
  InetAsyncNotify(SHORT hSocket, SHORT hWnd, SHORT uMsg),SHORT,PASCAL,RAW
  InetConnect(*CSTRING strRemoteHost, SHORT nRemotePort, SHORT nProtocol, SHORT nTimeout),SHORT,PASCAL,RAW
  InetConnectEx(*CSTRING strRemoteHost, SHORT nRemotePort, SHORT nProtocol, SHORT nTimeout, |
  LONG dwLocalAddress, SHORT nLocalPort),SHORT,PASCAL,RAW
  InetDisconnect(SHORT hSocket),SHORT,PASCAL,RAW
  InetDisableEvents(SHORT hSocket),SHORT,PASCAL,RAW
  InetEnableEvents(SHORT hSocket, SHORT hWnd, SHORT uMsg),SHORT,PASCAL,RAW
  InetFreezeEvents(SHORT hSocket, SHORT bFrozen),SHORT,PASCAL,RAW
  InetFlush(SHORT hSocket),SHORT,PASCAL,RAW
  InetFormatAddress(LONG dwAddress, *CSTRING strAddress, SHORT cchAddress),PASCAL,RAW
  InetGetErrorString(SHORT nError, *CSTRING strError, SHORT cbError),SHORT,PASCAL,RAW
  InetGetHostAddress(*CSTRING strHostName),LONG,PASCAL,RAW
  InetGetHostName(LONG dwAddress, *CSTRING strHostName, SHORT cchHostName),SHORT,PASCAL,RAW
  InetGetLastError(),SHORT,PASCAL,RAW
  InetGetLocalAddress(SHORT hSocket, *LONG dwAddress, *SHORT nPort),SHORT,PASCAL,RAW
  InetGetLocalName(*CSTRING strHostName, SHORT cchHostName),SHORT,PASCAL,RAW
  InetGetOption(SHORT hSocket, LONG dwOption, *SHORT bEnabled),SHORT,PASCAL,RAW
  InetGetPeerAddress(SHORT hSocket, *LONG dwAddress, *SHORT nPort),SHORT,PASCAL,RAW
  InetInitialize(*CSTRING lpszLicKey, LONG dwReserved),SHORT,PASCAL,RAW
  InetIsConnected(SHORT hSocket),SHORT,PASCAL,RAW
  InetIsListening(SHORT hSocket),SHORT,PASCAL,RAW
  InetIsReadable(SHORT hSocket),SHORT,PASCAL,RAW
  InetIsWritable(SHORT hSocket),SHORT,PASCAL,RAW
  InetListen(LONG dwAddress, SHORT nLocalPort),SHORT,PASCAL,RAW
  InetRead(SHORT hSocket, *CSTRING lpBuffer, SHORT cbBuffer),SHORT,PASCAL,RAW
  InetRegisterEvent(SHORT hSocket, SHORT nEvent, LONG lpfnHandler, LONG dwParam),SHORT,PASCAL,RAW
  InetSetLastError(SHORT nError),PASCAL
  InetSetOption(SHORT hSocket, LONG dwOption, SHORT bEnabled),SHORT,PASCAL,RAW
  InetUninitialize(),PASCAL
  InetWrite(SHORT hSocket, *CSTRING lpBuffer, SHORT cbBuffer),SHORT,PASCAL,RAW

 **END**
 END !MODULE
